/// <reference types="react" />
import * as React$1 from 'react';
import React__default, { FC, SVGProps, ReactNode, CSSProperties, ElementType, ReactFragment, AriaAttributes, HTMLAttributes, LabelHTMLAttributes, RefObject } from 'react';
import { ComponentSize as ComponentSize$1 } from 'src/types/enums';
import * as _emotion_react_types_jsx_namespace from '@emotion/react/types/jsx-namespace';
import { TextProps as TextProps$1 } from 'src/components/text/Text';
import * as _emotion_react_jsx_runtime from '@emotion/react/jsx-runtime';
import * as _emotion_styled from '@emotion/styled';
import { StyledComponent } from '@emotion/styled';
export { default as styled } from '@emotion/styled';
import * as _emotion_react from '@emotion/react';
import { Theme as Theme$1 } from '@emotion/react';
export { CacheProvider, Global, css } from '@emotion/react';
import { IconProps as IconProps$1 } from 'src/types/types';
import facepaint from 'facepaint';
export { default as createCache } from '@emotion/cache';

interface HurryUpProps {
    hurryUpText: string;
    backgroundColor?: string;
    showTimer?: boolean;
    iconSize?: number;
    textPosition?: 'left' | 'right' | 'center';
    showSeconds?: boolean;
    timerColor?: string;
}
declare const HurryUp: ({ hurryUpText, backgroundColor, iconSize, textPosition, showTimer, showSeconds, timerColor, }: HurryUpProps) => JSX.Element;

interface PackOption$1 {
    label: string;
    description: string;
    meta: {
        discountPercentage: number;
        originalPrice: number;
        price: number;
        quantity: number;
        icon: string;
        tag?: string;
    };
}
interface PackSelectorProps$1 {
    packs: PackOption$1[];
    selectedValue: PackOption$1;
    onChange: (size: PackOption$1) => void;
    currencyCode?: string;
}
declare const PackSelectorV2: FC<PackSelectorProps$1>;

interface AbsorbencyLevelProps {
    dropTotal: number;
    drops: number;
    absorbencyTitle: string;
    absorbencyDescription: string;
}
declare const AbsorbencyLevel: ({ dropTotal, drops, absorbencyTitle, absorbencyDescription, }: AbsorbencyLevelProps) => JSX.Element;

declare type StyledIconProps = {
    backgroundColor?: string;
    opacity?: number | string;
};

declare type Actions$1 = 'actions/add' | 'actions/check_box_empty' | 'actions/check_box_light' | 'actions/check_box_solid' | 'actions/check' | 'actions/circle_check' | 'actions/circle_clear' | 'actions/circle_info' | 'actions/circle_minus' | 'actions/circle_plus' | 'actions/circle_question' | 'actions/circle_solid_check' | 'actions/circle_solid_clear' | 'actions/circle_solid_info' | 'actions/circle_solid_minus' | 'actions/circle_solid_plus' | 'actions/circle_solid_question' | 'actions/circle_solid_styled_check' | 'actions/circle_solid_warning' | 'actions/circle_warning' | 'actions/clear_light' | 'actions/close' | 'actions/copy_outlined' | 'actions/copy' | 'actions/edit' | 'actions/light_check' | 'actions/light_exclamation' | 'actions/like_solid' | 'actions/like' | 'actions/minus' | 'actions/not_allowed' | 'actions/question' | 'actions/radio_empty' | 'actions/radio_filled' | 'actions/settings_solid' | 'actions/settings' | 'actions/share' | 'actions/signout' | 'actions/trash' | 'actions/warning';
declare type Arrows$1 = 'arrows/chevron_down' | 'arrows/chevron_down_variant' | 'arrows/chevron_left' | 'arrows/chevron_left_lite' | 'arrows/chevron_left_variant' | 'arrows/chevron_right' | 'arrows/chevron_right_lite' | 'arrows/chevron_right_variant' | 'arrows/chevron_up' | 'arrows/chevron_up_solid' | 'arrows/chevron_up_variant' | 'arrows/circle_chevron_down' | 'arrows/circle_chevron_left' | 'arrows/circle_chevron_right' | 'arrows/circle_chevron_up' | 'arrows/circle_line_down' | 'arrows/circle_line_left' | 'arrows/circle_line_right' | 'arrows/circle_line_up' | 'arrows/circle_up' | 'arrows/double_arrow_up';
declare type Custom$1 = 'custom/atom' | 'custom/bra' | 'custom/bubbles' | 'custom/bullet_one' | 'custom/bullet_three' | 'custom/bullet_two' | 'custom/certified' | 'custom/clinically_tested' | 'custom/cruelty_free' | 'custom/fair_advantages' | 'custom/frown' | 'custom/frown' | 'custom/money_flow' | 'custom/new_sixty_days_guarantee' | 'custom/packs_and_bundles' | 'custom/seamless_support_bra' | 'custom/sixty_days_bold' | 'custom/sixty_days_guarantee' | 'custom/smiling' | 'custom/thumbs_down' | 'custom/thumbs_up' | 'custom/underwear' | 'custom/wire_free_comfort';
declare type Download$1 = 'download/apple_store' | 'download/google_play';
declare type Emoji$1 = 'emoji/blowing_kiss' | 'emoji/frowning' | 'emoji/grinning' | 'emoji/grinning_with_sweat' | 'emoji/relieved' | 'emoji/smiling_v2' | 'emoji/thinking';
declare type Messaging$1 = 'messaging/ada_chat' | 'messaging/comment' | 'messaging/comment_dots' | 'messaging/comment_light' | 'messaging/comment_money' | 'messaging/community' | 'messaging/light' | 'messaging/light_bulb' | 'messaging/light_bulb_solid' | 'messaging/mail' | 'messaging/messenger' | 'messaging/question_circle' | 'messaging/quote_left' | 'messaging/quote_right' | 'messaging/quote_solid_left' | 'messaging/quote_solid_right';
declare type MyAccount$1 = 'myaccount/birthday_gifts' | 'myaccount/community' | 'myaccount/deals_offers' | 'myaccount/free_returns' | 'myaccount/free_shipping' | 'myaccount/guard' | 'myaccount/members_only_discount' | 'myaccount/members_only_discount_opposite' | 'myaccount/personal_stylist' | 'myaccount/priority_shipping' | 'myaccount/profile' | 'myaccount/sale_tag' | 'myaccount/style_fashion_content' | 'myaccount/vip';
declare type Navigation$1 = 'navigation/address_information' | 'navigation/benefits' | 'navigation/club_membership' | 'navigation/ellipsis' | 'navigation/ellipsis_horizontal' | 'navigation/filters' | 'navigation/hamburger' | 'navigation/home' | 'navigation/home_solid' | 'navigation/loading' | 'navigation/lock' | 'navigation/lock_solid' | 'navigation/map_marker' | 'navigation/map_solid' | 'navigation/menu_lines' | 'navigation/search' | 'navigation/shaperbox' | 'navigation/shopping_bag' | 'navigation/shopping_bag_v2' | 'navigation/shopping_bag_v3' | 'navigation/shopping_cart' | 'navigation/shopping_cart_v2' | 'navigation/slide_dot' | 'navigation/slide_dot_solid' | 'navigation/user' | 'navigation/user_solid' | 'navigation/user_v2';
declare type Other$1 = 'other/bod_con_label' | 'other/bod_con_mobile_label' | 'other/call_us' | 'other/chat' | 'other/email' | 'other/express_shipping' | 'other/fit_guarantee' | 'other/fit_predictor' | 'other/free_exchange' | 'other/get_discount' | 'other/hassel_free_returns' | 'other/loading' | 'other/mc_afee' | 'other/play' | 'other/qr_code' | 'other/question_with_circle' | 'other/revel_beauty' | 'other/shapermint' | 'other/shapermint_club_icon' | 'other/shapermint_club_icon2' | 'other/shapermint_club_label' | 'other/shapermint_club_mobile_label' | 'other/shapermint_logo' | 'other/shm_club' | 'other/shop_now' | 'other/sign_form' | 'other/sixty_days_tsd' | 'other/the_bod_con' | 'other/the_spa_dr' | 'other/lock';
declare type Payment$1 = 'payment/amazon' | 'payment/amex' | 'payment/jcb' | 'payment/klarna' | 'payment/master_card' | 'payment/paypal' | 'payment/visa';
declare type PDP$1 = 'pdp/circle_number' | 'pdp/clock' | 'pdp/drop' | 'pdp/drop_empty' | 'pdp/error_cross' | 'pdp/flag_usa' | 'pdp/hours' | 'pdp/klarna_logo' | 'pdp/light_bulb' | 'pdp/minus' | 'pdp/moon' | 'pdp/new_clock' | 'pdp/play_mini' | 'pdp/plus' | 'pdp/rule' | 'pdp/shipping' | 'pdp/shipping_empty' | 'pdp/size_empty' | 'pdp/size_empty_v2' | 'pdp/star' | 'pdp/stars' | 'pdp/star_empty' | 'pdp/star_half' | 'pdp/stopwatch' | 'pdp/trust_badge';
declare type SlideDots$1 = 'slidedots/slide_dot';
declare type SocialMedia$1 = 'socialmedia/facebook' | 'socialmedia/facebook_solid' | 'socialmedia/instagram' | 'socialmedia/instagram_solid' | 'socialmedia/interaction' | 'socialmedia/pinterest' | 'socialmedia/twitter' | 'socialmedia/youtube';
declare type IconName = Actions$1 | Arrows$1 | Custom$1 | Download$1 | Emoji$1 | Messaging$1 | MyAccount$1 | Navigation$1 | Other$1 | Payment$1 | PDP$1 | SlideDots$1 | SocialMedia$1;

declare type Props$2 = {
    width?: number | string;
    height?: number | string;
    title?: string;
    testId?: string;
    fill?: string;
    name: IconName;
    svgProps?: Omit<SVGProps<SVGElement>, 'ref'>;
    className?: string;
} & StyledIconProps;
declare const Icon$1: React__default.FC<Props$2>;

declare type Props$1 = Omit<Props$2, 'name'>;
declare type IconComponent = React__default.FC<Props$1>;

declare const Add: IconComponent;

declare const Check: IconComponent;

declare const CheckboxEmpty: IconComponent;

declare const CheckboxLight: IconComponent;

declare const CheckboxSolid: IconComponent;

declare const CircleCheck: IconComponent;

declare const CircleClear: IconComponent;

declare const CircleInfo: IconComponent;

declare const CircleMinus: IconComponent;

declare const CirclePlus: IconComponent;

declare const CircleQuestion: IconComponent;

declare const CircleSolidCheck: IconComponent;

declare const CircleSolidClear: IconComponent;

declare const CircleSolidMinus: IconComponent;

declare const CircleSolidPlus: IconComponent;

declare const CircleSolidQuestion: IconComponent;

declare const CircleSolidStyledCheck: IconComponent;

declare const CircleSolidWarning: IconComponent;

declare const CircleWarning: IconComponent;

declare const ClearLight: IconComponent;

declare const Close: IconComponent;

declare const Copy: IconComponent;

declare const CopyOutlined: IconComponent;

declare const Edit: IconComponent;

declare const LightCheck: IconComponent;

declare const LightExclamation: IconComponent;

declare const Like: IconComponent;

declare const LikeSolid: IconComponent;

declare const Minus$1: IconComponent;

declare const NotAllowed: IconComponent;

declare const Question: IconComponent;

declare const RadioEmpty: IconComponent;

declare const RadioFilled: IconComponent;

declare const Settings: IconComponent;

declare const SettingsSolid: IconComponent;

declare const Share: IconComponent;

declare const SignOut: IconComponent;

declare const Trash: IconComponent;

declare const Warning: IconComponent;

declare const Actions_Add: typeof Add;
declare const Actions_Check: typeof Check;
declare const Actions_CheckboxEmpty: typeof CheckboxEmpty;
declare const Actions_CheckboxLight: typeof CheckboxLight;
declare const Actions_CheckboxSolid: typeof CheckboxSolid;
declare const Actions_CircleCheck: typeof CircleCheck;
declare const Actions_CircleClear: typeof CircleClear;
declare const Actions_CircleInfo: typeof CircleInfo;
declare const Actions_CircleMinus: typeof CircleMinus;
declare const Actions_CirclePlus: typeof CirclePlus;
declare const Actions_CircleQuestion: typeof CircleQuestion;
declare const Actions_CircleSolidCheck: typeof CircleSolidCheck;
declare const Actions_CircleSolidClear: typeof CircleSolidClear;
declare const Actions_CircleSolidMinus: typeof CircleSolidMinus;
declare const Actions_CircleSolidPlus: typeof CircleSolidPlus;
declare const Actions_CircleSolidQuestion: typeof CircleSolidQuestion;
declare const Actions_CircleSolidStyledCheck: typeof CircleSolidStyledCheck;
declare const Actions_CircleSolidWarning: typeof CircleSolidWarning;
declare const Actions_CircleWarning: typeof CircleWarning;
declare const Actions_ClearLight: typeof ClearLight;
declare const Actions_Close: typeof Close;
declare const Actions_Copy: typeof Copy;
declare const Actions_CopyOutlined: typeof CopyOutlined;
declare const Actions_Edit: typeof Edit;
declare const Actions_LightCheck: typeof LightCheck;
declare const Actions_LightExclamation: typeof LightExclamation;
declare const Actions_Like: typeof Like;
declare const Actions_LikeSolid: typeof LikeSolid;
declare const Actions_NotAllowed: typeof NotAllowed;
declare const Actions_Question: typeof Question;
declare const Actions_RadioEmpty: typeof RadioEmpty;
declare const Actions_RadioFilled: typeof RadioFilled;
declare const Actions_Settings: typeof Settings;
declare const Actions_SettingsSolid: typeof SettingsSolid;
declare const Actions_Share: typeof Share;
declare const Actions_SignOut: typeof SignOut;
declare const Actions_Trash: typeof Trash;
declare const Actions_Warning: typeof Warning;
declare namespace Actions {
  export {
    Actions_Add as Add,
    Actions_Check as Check,
    Actions_CheckboxEmpty as CheckboxEmpty,
    Actions_CheckboxLight as CheckboxLight,
    Actions_CheckboxSolid as CheckboxSolid,
    Actions_CircleCheck as CircleCheck,
    Actions_CircleClear as CircleClear,
    Actions_CircleInfo as CircleInfo,
    Actions_CircleMinus as CircleMinus,
    Actions_CirclePlus as CirclePlus,
    Actions_CircleQuestion as CircleQuestion,
    Actions_CircleSolidCheck as CircleSolidCheck,
    Actions_CircleSolidClear as CircleSolidClear,
    Actions_CircleSolidMinus as CircleSolidMinus,
    Actions_CircleSolidPlus as CircleSolidPlus,
    Actions_CircleSolidQuestion as CircleSolidQuestion,
    Actions_CircleSolidStyledCheck as CircleSolidStyledCheck,
    Actions_CircleSolidWarning as CircleSolidWarning,
    Actions_CircleWarning as CircleWarning,
    Actions_ClearLight as ClearLight,
    Actions_Close as Close,
    Actions_Copy as Copy,
    Actions_CopyOutlined as CopyOutlined,
    Actions_Edit as Edit,
    Actions_LightCheck as LightCheck,
    Actions_LightExclamation as LightExclamation,
    Actions_Like as Like,
    Actions_LikeSolid as LikeSolid,
    Minus$1 as Minus,
    Actions_NotAllowed as NotAllowed,
    Actions_Question as Question,
    Actions_RadioEmpty as RadioEmpty,
    Actions_RadioFilled as RadioFilled,
    Actions_Settings as Settings,
    Actions_SettingsSolid as SettingsSolid,
    Actions_Share as Share,
    Actions_SignOut as SignOut,
    Actions_Trash as Trash,
    Actions_Warning as Warning,
  };
}

declare const ChevronDown: IconComponent;

declare const ChevronDownVariant: IconComponent;

declare const ChevronLeft: IconComponent;

declare const ChevronLeftLite: IconComponent;

declare const ChevronLeftVariant: IconComponent;

declare const ChevronRight: IconComponent;

declare const ChevronRightLite: IconComponent;

declare const ChevronRightVariant: IconComponent;

declare const ChevronUp: IconComponent;

declare const ChevronUpSolid: IconComponent;

declare const ChevronUpVariant: IconComponent;

declare const CircleChevronDown: IconComponent;

declare const CircleChevronLeft: IconComponent;

declare const CircleChevronRight: IconComponent;

declare const CircleChevronUp: IconComponent;

declare const CircleLineDown: IconComponent;

declare const CircleLineLeft: IconComponent;

declare const CircleLineRight: IconComponent;

declare const CircleLineUp: IconComponent;

declare const CircleUp: IconComponent;

declare const DoubleArrowUp: IconComponent;

declare const Arrows_ChevronDown: typeof ChevronDown;
declare const Arrows_ChevronDownVariant: typeof ChevronDownVariant;
declare const Arrows_ChevronLeft: typeof ChevronLeft;
declare const Arrows_ChevronLeftLite: typeof ChevronLeftLite;
declare const Arrows_ChevronLeftVariant: typeof ChevronLeftVariant;
declare const Arrows_ChevronRight: typeof ChevronRight;
declare const Arrows_ChevronRightLite: typeof ChevronRightLite;
declare const Arrows_ChevronRightVariant: typeof ChevronRightVariant;
declare const Arrows_ChevronUp: typeof ChevronUp;
declare const Arrows_ChevronUpSolid: typeof ChevronUpSolid;
declare const Arrows_ChevronUpVariant: typeof ChevronUpVariant;
declare const Arrows_CircleChevronDown: typeof CircleChevronDown;
declare const Arrows_CircleChevronLeft: typeof CircleChevronLeft;
declare const Arrows_CircleChevronRight: typeof CircleChevronRight;
declare const Arrows_CircleChevronUp: typeof CircleChevronUp;
declare const Arrows_CircleLineDown: typeof CircleLineDown;
declare const Arrows_CircleLineLeft: typeof CircleLineLeft;
declare const Arrows_CircleLineRight: typeof CircleLineRight;
declare const Arrows_CircleLineUp: typeof CircleLineUp;
declare const Arrows_CircleUp: typeof CircleUp;
declare const Arrows_DoubleArrowUp: typeof DoubleArrowUp;
declare namespace Arrows {
  export {
    Arrows_ChevronDown as ChevronDown,
    Arrows_ChevronDownVariant as ChevronDownVariant,
    Arrows_ChevronLeft as ChevronLeft,
    Arrows_ChevronLeftLite as ChevronLeftLite,
    Arrows_ChevronLeftVariant as ChevronLeftVariant,
    Arrows_ChevronRight as ChevronRight,
    Arrows_ChevronRightLite as ChevronRightLite,
    Arrows_ChevronRightVariant as ChevronRightVariant,
    Arrows_ChevronUp as ChevronUp,
    Arrows_ChevronUpSolid as ChevronUpSolid,
    Arrows_ChevronUpVariant as ChevronUpVariant,
    Arrows_CircleChevronDown as CircleChevronDown,
    Arrows_CircleChevronLeft as CircleChevronLeft,
    Arrows_CircleChevronRight as CircleChevronRight,
    Arrows_CircleChevronUp as CircleChevronUp,
    Arrows_CircleLineDown as CircleLineDown,
    Arrows_CircleLineLeft as CircleLineLeft,
    Arrows_CircleLineRight as CircleLineRight,
    Arrows_CircleLineUp as CircleLineUp,
    Arrows_CircleUp as CircleUp,
    Arrows_DoubleArrowUp as DoubleArrowUp,
  };
}

declare const SixtyDaysGuarantee: IconComponent;

declare const Bra: IconComponent;

declare const Underwear: IconComponent;

declare const PacksAndBundles: IconComponent;

declare const SeamlessSupportBra: IconComponent;

declare const WireFreeComfort: IconComponent;

declare const SixtyDaysBold: IconComponent;

declare const Frown: IconComponent;

declare const Smiling: IconComponent;

declare const BulletOne: IconComponent;

declare const BulletTwo: IconComponent;

declare const BulletThree: IconComponent;

declare const ThumbsUp: IconComponent;

declare const ThumbsDown: IconComponent;

declare const Atom: IconComponent;

declare const Bubbles: IconComponent;

declare const FairAdvantages: IconComponent;

declare const MoneyFlow: IconComponent;

declare const ClinicallyTested: IconComponent;

declare const CrueltyFree: IconComponent;

declare const Certified: IconComponent;

declare const NewSixtyDaysGuarantee: IconComponent;

declare const Custom_SixtyDaysGuarantee: typeof SixtyDaysGuarantee;
declare const Custom_Bra: typeof Bra;
declare const Custom_Underwear: typeof Underwear;
declare const Custom_PacksAndBundles: typeof PacksAndBundles;
declare const Custom_SeamlessSupportBra: typeof SeamlessSupportBra;
declare const Custom_WireFreeComfort: typeof WireFreeComfort;
declare const Custom_SixtyDaysBold: typeof SixtyDaysBold;
declare const Custom_Frown: typeof Frown;
declare const Custom_Smiling: typeof Smiling;
declare const Custom_BulletOne: typeof BulletOne;
declare const Custom_BulletTwo: typeof BulletTwo;
declare const Custom_BulletThree: typeof BulletThree;
declare const Custom_ThumbsUp: typeof ThumbsUp;
declare const Custom_ThumbsDown: typeof ThumbsDown;
declare const Custom_Atom: typeof Atom;
declare const Custom_Bubbles: typeof Bubbles;
declare const Custom_FairAdvantages: typeof FairAdvantages;
declare const Custom_MoneyFlow: typeof MoneyFlow;
declare const Custom_ClinicallyTested: typeof ClinicallyTested;
declare const Custom_CrueltyFree: typeof CrueltyFree;
declare const Custom_Certified: typeof Certified;
declare const Custom_NewSixtyDaysGuarantee: typeof NewSixtyDaysGuarantee;
declare namespace Custom {
  export {
    Custom_SixtyDaysGuarantee as SixtyDaysGuarantee,
    Custom_Bra as Bra,
    Custom_Underwear as Underwear,
    Custom_PacksAndBundles as PacksAndBundles,
    Custom_SeamlessSupportBra as SeamlessSupportBra,
    Custom_WireFreeComfort as WireFreeComfort,
    Custom_SixtyDaysBold as SixtyDaysBold,
    Custom_Frown as Frown,
    Custom_Smiling as Smiling,
    Custom_BulletOne as BulletOne,
    Custom_BulletTwo as BulletTwo,
    Custom_BulletThree as BulletThree,
    Custom_ThumbsUp as ThumbsUp,
    Custom_ThumbsDown as ThumbsDown,
    Custom_Atom as Atom,
    Custom_Bubbles as Bubbles,
    Custom_FairAdvantages as FairAdvantages,
    Custom_MoneyFlow as MoneyFlow,
    Custom_ClinicallyTested as ClinicallyTested,
    Custom_CrueltyFree as CrueltyFree,
    Custom_Certified as Certified,
    Custom_NewSixtyDaysGuarantee as NewSixtyDaysGuarantee,
  };
}

declare const AppleStore: IconComponent;

declare const GooglePlay: IconComponent;

declare const Download_AppleStore: typeof AppleStore;
declare const Download_GooglePlay: typeof GooglePlay;
declare namespace Download {
  export {
    Download_AppleStore as AppleStore,
    Download_GooglePlay as GooglePlay,
  };
}

declare const Thinking: IconComponent;

declare const SmilingV2: IconComponent;

declare const Grinning: IconComponent;

declare const GrinningWithSweat: IconComponent;

declare const BlowingKiss: IconComponent;

declare const Frowning: IconComponent;

declare const Relieved: IconComponent;

declare const Emoji_Thinking: typeof Thinking;
declare const Emoji_SmilingV2: typeof SmilingV2;
declare const Emoji_Grinning: typeof Grinning;
declare const Emoji_GrinningWithSweat: typeof GrinningWithSweat;
declare const Emoji_BlowingKiss: typeof BlowingKiss;
declare const Emoji_Frowning: typeof Frowning;
declare const Emoji_Relieved: typeof Relieved;
declare namespace Emoji {
  export {
    Emoji_Thinking as Thinking,
    Emoji_SmilingV2 as SmilingV2,
    Emoji_Grinning as Grinning,
    Emoji_GrinningWithSweat as GrinningWithSweat,
    Emoji_BlowingKiss as BlowingKiss,
    Emoji_Frowning as Frowning,
    Emoji_Relieved as Relieved,
  };
}

declare const AdaChat: IconComponent;

declare const QuestionCircle: IconComponent;

declare const Messenger: IconComponent;

declare const Comment: IconComponent;

declare const Mail: IconComponent;

declare const Community$1: IconComponent;

declare const QuoteLeft: IconComponent;

declare const QuoteRight: IconComponent;

declare const QuoteSolidLeft: IconComponent;

declare const QuoteSolidRight: IconComponent;

declare const Light: IconComponent;

declare const LightBulb$1: IconComponent;

declare const LightBulbSolid: IconComponent;

declare const CommentDots: IconComponent;

declare const CommentLight: IconComponent;

declare const CommentMoney: IconComponent;

declare const Messaging_AdaChat: typeof AdaChat;
declare const Messaging_QuestionCircle: typeof QuestionCircle;
declare const Messaging_Messenger: typeof Messenger;
declare const Messaging_Comment: typeof Comment;
declare const Messaging_Mail: typeof Mail;
declare const Messaging_QuoteLeft: typeof QuoteLeft;
declare const Messaging_QuoteRight: typeof QuoteRight;
declare const Messaging_QuoteSolidLeft: typeof QuoteSolidLeft;
declare const Messaging_QuoteSolidRight: typeof QuoteSolidRight;
declare const Messaging_Light: typeof Light;
declare const Messaging_LightBulbSolid: typeof LightBulbSolid;
declare const Messaging_CommentDots: typeof CommentDots;
declare const Messaging_CommentLight: typeof CommentLight;
declare const Messaging_CommentMoney: typeof CommentMoney;
declare namespace Messaging {
  export {
    Messaging_AdaChat as AdaChat,
    Messaging_QuestionCircle as QuestionCircle,
    Messaging_Messenger as Messenger,
    Messaging_Comment as Comment,
    Messaging_Mail as Mail,
    Community$1 as Community,
    Messaging_QuoteLeft as QuoteLeft,
    Messaging_QuoteRight as QuoteRight,
    Messaging_QuoteSolidLeft as QuoteSolidLeft,
    Messaging_QuoteSolidRight as QuoteSolidRight,
    Messaging_Light as Light,
    LightBulb$1 as LightBulb,
    Messaging_LightBulbSolid as LightBulbSolid,
    Messaging_CommentDots as CommentDots,
    Messaging_CommentLight as CommentLight,
    Messaging_CommentMoney as CommentMoney,
  };
}

declare const FreeShipping: IconComponent;

declare const PersonalStylist: IconComponent;

declare const Community: IconComponent;

declare const VIP: IconComponent;

declare const DealsOffers: IconComponent;

declare const StyleFashionContent: IconComponent;

declare const MembersOnlyDiscount: IconComponent;

declare const Profile: IconComponent;

declare const MembersOnlyDiscountOpposite: IconComponent;

declare const PriorityShipping: IconComponent;

declare const Guard: IconComponent;

declare const BirthdayGifts: IconComponent;

declare const SaleTag: IconComponent;

declare const FreeReturns: IconComponent;

declare const MyAccount_FreeShipping: typeof FreeShipping;
declare const MyAccount_PersonalStylist: typeof PersonalStylist;
declare const MyAccount_Community: typeof Community;
declare const MyAccount_VIP: typeof VIP;
declare const MyAccount_DealsOffers: typeof DealsOffers;
declare const MyAccount_StyleFashionContent: typeof StyleFashionContent;
declare const MyAccount_MembersOnlyDiscount: typeof MembersOnlyDiscount;
declare const MyAccount_Profile: typeof Profile;
declare const MyAccount_MembersOnlyDiscountOpposite: typeof MembersOnlyDiscountOpposite;
declare const MyAccount_PriorityShipping: typeof PriorityShipping;
declare const MyAccount_Guard: typeof Guard;
declare const MyAccount_BirthdayGifts: typeof BirthdayGifts;
declare const MyAccount_SaleTag: typeof SaleTag;
declare const MyAccount_FreeReturns: typeof FreeReturns;
declare namespace MyAccount {
  export {
    MyAccount_FreeShipping as FreeShipping,
    MyAccount_PersonalStylist as PersonalStylist,
    MyAccount_Community as Community,
    MyAccount_VIP as VIP,
    MyAccount_DealsOffers as DealsOffers,
    MyAccount_StyleFashionContent as StyleFashionContent,
    MyAccount_MembersOnlyDiscount as MembersOnlyDiscount,
    MyAccount_Profile as Profile,
    MyAccount_MembersOnlyDiscountOpposite as MembersOnlyDiscountOpposite,
    MyAccount_PriorityShipping as PriorityShipping,
    MyAccount_Guard as Guard,
    MyAccount_BirthdayGifts as BirthdayGifts,
    MyAccount_SaleTag as SaleTag,
    MyAccount_FreeReturns as FreeReturns,
  };
}

declare const Search: IconComponent;

declare const User: IconComponent;

declare const ShoppingBag: IconComponent;

declare const ShoppingCart: IconComponent;

declare const MapMarker: IconComponent;

declare const Hamburger: IconComponent;

declare const AddressInformation: IconComponent;

declare const ClubMembership: IconComponent;

declare const Benefits: IconComponent;

declare const Home: IconComponent;

declare const HomeSolid: IconComponent;

declare const ShoppingBagV2: IconComponent;

declare const UserSolid: IconComponent;

declare const SlideDot$1: IconComponent;

declare const SlideDotSolid: IconComponent;

declare const Ellipsis: IconComponent;

declare const EllipsisHorizontal: IconComponent;

declare const Filters$1: IconComponent;

declare const Lock: IconComponent;

declare const LockSolid: IconComponent;

declare const Loading$1: IconComponent;

declare const MapSolid: IconComponent;

declare const MenuLines: IconComponent;

declare const UserV2: IconComponent;

declare const ShoppingCartV2: IconComponent;

declare const ShoppingBagV3: IconComponent;

declare const Shaperbox: IconComponent;

declare const Navigation_Search: typeof Search;
declare const Navigation_User: typeof User;
declare const Navigation_ShoppingBag: typeof ShoppingBag;
declare const Navigation_ShoppingCart: typeof ShoppingCart;
declare const Navigation_MapMarker: typeof MapMarker;
declare const Navigation_Hamburger: typeof Hamburger;
declare const Navigation_AddressInformation: typeof AddressInformation;
declare const Navigation_ClubMembership: typeof ClubMembership;
declare const Navigation_Benefits: typeof Benefits;
declare const Navigation_Home: typeof Home;
declare const Navigation_HomeSolid: typeof HomeSolid;
declare const Navigation_ShoppingBagV2: typeof ShoppingBagV2;
declare const Navigation_UserSolid: typeof UserSolid;
declare const Navigation_SlideDotSolid: typeof SlideDotSolid;
declare const Navigation_Ellipsis: typeof Ellipsis;
declare const Navigation_EllipsisHorizontal: typeof EllipsisHorizontal;
declare const Navigation_Lock: typeof Lock;
declare const Navigation_LockSolid: typeof LockSolid;
declare const Navigation_MapSolid: typeof MapSolid;
declare const Navigation_MenuLines: typeof MenuLines;
declare const Navigation_UserV2: typeof UserV2;
declare const Navigation_ShoppingCartV2: typeof ShoppingCartV2;
declare const Navigation_ShoppingBagV3: typeof ShoppingBagV3;
declare const Navigation_Shaperbox: typeof Shaperbox;
declare namespace Navigation {
  export {
    Navigation_Search as Search,
    Navigation_User as User,
    Navigation_ShoppingBag as ShoppingBag,
    Navigation_ShoppingCart as ShoppingCart,
    Navigation_MapMarker as MapMarker,
    Navigation_Hamburger as Hamburger,
    Navigation_AddressInformation as AddressInformation,
    Navigation_ClubMembership as ClubMembership,
    Navigation_Benefits as Benefits,
    Navigation_Home as Home,
    Navigation_HomeSolid as HomeSolid,
    Navigation_ShoppingBagV2 as ShoppingBagV2,
    Navigation_UserSolid as UserSolid,
    SlideDot$1 as SlideDot,
    Navigation_SlideDotSolid as SlideDotSolid,
    Navigation_Ellipsis as Ellipsis,
    Navigation_EllipsisHorizontal as EllipsisHorizontal,
    Filters$1 as Filters,
    Navigation_Lock as Lock,
    Navigation_LockSolid as LockSolid,
    Loading$1 as Loading,
    Navigation_MapSolid as MapSolid,
    Navigation_MenuLines as MenuLines,
    Navigation_UserV2 as UserV2,
    Navigation_ShoppingCartV2 as ShoppingCartV2,
    Navigation_ShoppingBagV3 as ShoppingBagV3,
    Navigation_Shaperbox as Shaperbox,
  };
}

declare const BodConLabel: IconComponent;

declare const BodConMobileLabel: IconComponent;

declare const CallUs: IconComponent;

declare const Chat: IconComponent;

declare const Email: IconComponent;

declare const ExpressShipping: IconComponent;

declare const FitGuarantee$1: IconComponent;

declare const FitPredictor$1: IconComponent;

declare const FreeExchange: IconComponent;

declare const GetDiscount: IconComponent;

declare const HasselFreeReturns: IconComponent;

declare const Loading: IconComponent;

declare const McAfee: IconComponent;

declare const Play: IconComponent;

declare const QrCode: IconComponent;

declare const QuestionWithCircle: IconComponent;

declare const RevelBeauty: IconComponent;

declare const Shapermint: IconComponent;

declare const ShapermintClubIcon: IconComponent;

declare const ShapermintClubIcon2: IconComponent;

declare const ShapermintClubLabel: IconComponent;

declare const ShapermintClubMobileLabel: IconComponent;

declare const ShapermintLogo: IconComponent;

declare const ShmClub: IconComponent;

declare const ShopNow: IconComponent;

declare const SignForm: IconComponent;

declare const SixtyDaysTSD: IconComponent;

declare const TheBodCon: IconComponent;

declare const TheSpaDr: IconComponent;

declare const Other_BodConLabel: typeof BodConLabel;
declare const Other_BodConMobileLabel: typeof BodConMobileLabel;
declare const Other_CallUs: typeof CallUs;
declare const Other_Chat: typeof Chat;
declare const Other_Email: typeof Email;
declare const Other_ExpressShipping: typeof ExpressShipping;
declare const Other_FreeExchange: typeof FreeExchange;
declare const Other_GetDiscount: typeof GetDiscount;
declare const Other_HasselFreeReturns: typeof HasselFreeReturns;
declare const Other_Loading: typeof Loading;
declare const Other_McAfee: typeof McAfee;
declare const Other_Play: typeof Play;
declare const Other_QrCode: typeof QrCode;
declare const Other_QuestionWithCircle: typeof QuestionWithCircle;
declare const Other_RevelBeauty: typeof RevelBeauty;
declare const Other_Shapermint: typeof Shapermint;
declare const Other_ShapermintClubIcon: typeof ShapermintClubIcon;
declare const Other_ShapermintClubIcon2: typeof ShapermintClubIcon2;
declare const Other_ShapermintClubLabel: typeof ShapermintClubLabel;
declare const Other_ShapermintClubMobileLabel: typeof ShapermintClubMobileLabel;
declare const Other_ShapermintLogo: typeof ShapermintLogo;
declare const Other_ShmClub: typeof ShmClub;
declare const Other_ShopNow: typeof ShopNow;
declare const Other_SignForm: typeof SignForm;
declare const Other_SixtyDaysTSD: typeof SixtyDaysTSD;
declare const Other_TheBodCon: typeof TheBodCon;
declare const Other_TheSpaDr: typeof TheSpaDr;
declare namespace Other {
  export {
    Other_BodConLabel as BodConLabel,
    Other_BodConMobileLabel as BodConMobileLabel,
    Other_CallUs as CallUs,
    Other_Chat as Chat,
    Other_Email as Email,
    Other_ExpressShipping as ExpressShipping,
    FitGuarantee$1 as FitGuarantee,
    FitPredictor$1 as FitPredictor,
    Other_FreeExchange as FreeExchange,
    Other_GetDiscount as GetDiscount,
    Other_HasselFreeReturns as HasselFreeReturns,
    Other_Loading as Loading,
    Other_McAfee as McAfee,
    Other_Play as Play,
    Other_QrCode as QrCode,
    Other_QuestionWithCircle as QuestionWithCircle,
    Other_RevelBeauty as RevelBeauty,
    Other_Shapermint as Shapermint,
    Other_ShapermintClubIcon as ShapermintClubIcon,
    Other_ShapermintClubIcon2 as ShapermintClubIcon2,
    Other_ShapermintClubLabel as ShapermintClubLabel,
    Other_ShapermintClubMobileLabel as ShapermintClubMobileLabel,
    Other_ShapermintLogo as ShapermintLogo,
    Other_ShmClub as ShmClub,
    Other_ShopNow as ShopNow,
    Other_SignForm as SignForm,
    Other_SixtyDaysTSD as SixtyDaysTSD,
    Other_TheBodCon as TheBodCon,
    Other_TheSpaDr as TheSpaDr,
  };
}

declare const Clock: IconComponent;

declare const FlagUSA: IconComponent;

declare const Minus: IconComponent;

declare const Plus: IconComponent;

declare const Rule: IconComponent;

declare const Star: IconComponent;

declare const StarEmpty: IconComponent;

declare const StarHalf: IconComponent;

declare const Stopwatch: IconComponent;

declare const Shipping: IconComponent;

declare const LightBulb: IconComponent;

declare const ErrorCross: IconComponent;

declare const CircleNumber: IconComponent;

declare const SizeEmpty: IconComponent;

declare const SizeEmptyV2: IconComponent;

declare const PlayMini: IconComponent;

declare const ShippingEmpty: IconComponent;

declare const Drop: IconComponent;

declare const DropEmpty: IconComponent;

declare const Stars: IconComponent;

declare const Moon: IconComponent;

declare const Hours: IconComponent;

declare const NewClock: IconComponent;

declare const KlarnaLogo: IconComponent;

declare const TrustBadge: IconComponent;

declare const PDP_Clock: typeof Clock;
declare const PDP_FlagUSA: typeof FlagUSA;
declare const PDP_Minus: typeof Minus;
declare const PDP_Plus: typeof Plus;
declare const PDP_Rule: typeof Rule;
declare const PDP_Star: typeof Star;
declare const PDP_StarEmpty: typeof StarEmpty;
declare const PDP_StarHalf: typeof StarHalf;
declare const PDP_Stopwatch: typeof Stopwatch;
declare const PDP_Shipping: typeof Shipping;
declare const PDP_LightBulb: typeof LightBulb;
declare const PDP_ErrorCross: typeof ErrorCross;
declare const PDP_CircleNumber: typeof CircleNumber;
declare const PDP_SizeEmpty: typeof SizeEmpty;
declare const PDP_SizeEmptyV2: typeof SizeEmptyV2;
declare const PDP_PlayMini: typeof PlayMini;
declare const PDP_ShippingEmpty: typeof ShippingEmpty;
declare const PDP_Drop: typeof Drop;
declare const PDP_DropEmpty: typeof DropEmpty;
declare const PDP_Stars: typeof Stars;
declare const PDP_Moon: typeof Moon;
declare const PDP_Hours: typeof Hours;
declare const PDP_NewClock: typeof NewClock;
declare const PDP_KlarnaLogo: typeof KlarnaLogo;
declare const PDP_TrustBadge: typeof TrustBadge;
declare namespace PDP {
  export {
    PDP_Clock as Clock,
    PDP_FlagUSA as FlagUSA,
    PDP_Minus as Minus,
    PDP_Plus as Plus,
    PDP_Rule as Rule,
    PDP_Star as Star,
    PDP_StarEmpty as StarEmpty,
    PDP_StarHalf as StarHalf,
    PDP_Stopwatch as Stopwatch,
    PDP_Shipping as Shipping,
    PDP_LightBulb as LightBulb,
    PDP_ErrorCross as ErrorCross,
    PDP_CircleNumber as CircleNumber,
    PDP_SizeEmpty as SizeEmpty,
    PDP_SizeEmptyV2 as SizeEmptyV2,
    PDP_PlayMini as PlayMini,
    PDP_ShippingEmpty as ShippingEmpty,
    PDP_Drop as Drop,
    PDP_DropEmpty as DropEmpty,
    PDP_Stars as Stars,
    PDP_Moon as Moon,
    PDP_Hours as Hours,
    PDP_NewClock as NewClock,
    PDP_KlarnaLogo as KlarnaLogo,
    PDP_TrustBadge as TrustBadge,
  };
}

declare const Visa: IconComponent;

declare const MasterCard: IconComponent;

declare const Amex: IconComponent;

declare const JCB: IconComponent;

declare const Paypal: IconComponent;

declare const Klarna: IconComponent;

declare const Amazon: IconComponent;

declare const Payment_Visa: typeof Visa;
declare const Payment_MasterCard: typeof MasterCard;
declare const Payment_Amex: typeof Amex;
declare const Payment_JCB: typeof JCB;
declare const Payment_Paypal: typeof Paypal;
declare const Payment_Klarna: typeof Klarna;
declare const Payment_Amazon: typeof Amazon;
declare namespace Payment {
  export {
    Payment_Visa as Visa,
    Payment_MasterCard as MasterCard,
    Payment_Amex as Amex,
    Payment_JCB as JCB,
    Payment_Paypal as Paypal,
    Payment_Klarna as Klarna,
    Payment_Amazon as Amazon,
  };
}

declare const SlideDot: IconComponent;

declare const SlideDots_SlideDot: typeof SlideDot;
declare namespace SlideDots {
  export {
    SlideDots_SlideDot as SlideDot,
  };
}

declare const Facebook: IconComponent;

declare const FacebookSolid: IconComponent;

declare const Instagram: IconComponent;

declare const InstagramSolid: IconComponent;

declare const Pinterest: IconComponent;

declare const Twitter: IconComponent;

declare const Youtube: IconComponent;

declare const Interaction: IconComponent;

declare const SocialMedia_Facebook: typeof Facebook;
declare const SocialMedia_FacebookSolid: typeof FacebookSolid;
declare const SocialMedia_Instagram: typeof Instagram;
declare const SocialMedia_InstagramSolid: typeof InstagramSolid;
declare const SocialMedia_Pinterest: typeof Pinterest;
declare const SocialMedia_Twitter: typeof Twitter;
declare const SocialMedia_Youtube: typeof Youtube;
declare const SocialMedia_Interaction: typeof Interaction;
declare namespace SocialMedia {
  export {
    SocialMedia_Facebook as Facebook,
    SocialMedia_FacebookSolid as FacebookSolid,
    SocialMedia_Instagram as Instagram,
    SocialMedia_InstagramSolid as InstagramSolid,
    SocialMedia_Pinterest as Pinterest,
    SocialMedia_Twitter as Twitter,
    SocialMedia_Youtube as Youtube,
    SocialMedia_Interaction as Interaction,
  };
}

declare type IconType = IconComponent;
declare const Icon: {
    Custom: typeof Custom;
    Arrows: typeof Arrows;
    Actions: typeof Actions;
    Other: typeof Other;
    PDP: typeof PDP;
    SocialMedia: typeof SocialMedia;
    Navigation: typeof Navigation;
    Messaging: typeof Messaging;
    Download: typeof Download;
    Payment: typeof Payment;
    SlideDots: typeof SlideDots;
    Emoji: typeof Emoji;
    MyAccount: typeof MyAccount;
};

interface AccordionProps {
    defaultOpen?: boolean;
    forceOpenHandler?: boolean;
    forceOpenValue?: boolean;
    titleColor?: string;
    variant: 'simple' | 'box';
    header: ReactNode;
    headerOnOpen?: ReactNode;
    content: ReactNode;
    disabled?: boolean;
    innerHTML?: boolean;
    controlIconPos?: 'right' | 'bottom';
    backgroundCover?: {
        value: boolean;
        iconBgColor?: string;
    };
    openIcon: IconType;
    closeIcon: IconType;
    onClick?: (index: number) => void;
}
declare const Accordion: ({ header, headerOnOpen, content, defaultOpen, forceOpenHandler, forceOpenValue, titleColor, variant, disabled, innerHTML, backgroundCover, controlIconPos, openIcon, closeIcon, onClick, }: AccordionProps) => JSX.Element;

interface AccordionOptionsProps {
    titleColor: string;
    accordions: AccordionProps[];
}
declare const AccordionOptions: ({ titleColor, accordions }: AccordionOptionsProps) => JSX.Element;

declare type AutoshipProps = {
    singlePurchaseLabel: string;
    subscriptionLabel: string;
    tooltipContent?: {
        text: string;
        color?: string;
    };
    tooltipHeader?: {
        title: string;
    };
    pricing?: {
        originalPrice: number;
        discountedPrice: number;
        discountPercentage: number;
    };
    frequencyValues?: Array<number>;
    frequencyUnit?: string;
    autoshipBenefits: string[];
    onChange: (values: {
        subscriptionPeriod: number;
        autoship: boolean;
        originalPrice: number;
        discountedPrice: number;
    }) => void;
    className?: string;
};
declare const Autoship: React.FC<AutoshipProps>;

declare enum BeforeAfterVariant {
    UserInfoText = "UserInfoText",
    ResultFeedback = "ResultFeedback"
}
declare type NewSize = 'small' | 'medium' | 'large';
declare const componentSizeMapper: {
    [size in ComponentSize$1]: NewSize;
};

declare type BeforeAfterCardProps = {
    name: string;
    age?: string;
    months?: string;
    beforeImage: string;
    afterImage: string;
    alignCenter?: boolean;
    imageBorderRadius?: string;
    size?: ComponentSize$1;
    variant?: BeforeAfterVariant;
    description?: string;
    reviewDays?: string;
};
declare const BeforeAfterCard: React__default.FC<BeforeAfterCardProps>;

interface SimpleProps {
    title: string;
    freeShippingText: string;
    price: string;
    anyQtyForText: string;
    backgroundColor: string;
    widthAuto?: boolean;
}

interface MinimalisticProps {
    backgroundColor?: string;
    borderColor?: string;
    originalPrice: string;
    price: string;
    savingPrice: string;
    getMorePayLessText: string;
    youAreSavingText: string;
    getQtyForText: string;
    discount: number;
    offText: string;
    widthAuto?: boolean;
    testId?: string;
}

declare const Bundle: {
    Minimalistic: ({ backgroundColor, borderColor, originalPrice, price, savingPrice, getMorePayLessText, youAreSavingText, getQtyForText, discount, offText, widthAuto, testId, }: MinimalisticProps) => JSX.Element;
    Simple: ({ title, freeShippingText, price, anyQtyForText, backgroundColor, widthAuto, }: SimpleProps) => JSX.Element;
};

interface BuyNowPayLaterProps {
    displayBNPL: boolean;
    installments: number;
    installmentPrice: string;
    iconFolder?: string;
    iconName: string;
    showLogo?: boolean;
    iconColor?: string;
    fontSize?: string;
}
declare const BuyNowPayLater: ({ displayBNPL, installments, installmentPrice, iconFolder, iconName, showLogo, iconColor, fontSize, }: BuyNowPayLaterProps) => JSX.Element | null;

interface CloseButtonProps {
    onClick: () => void;
    size: number;
}

interface DescriptionProps {
    text: string;
}

interface PromoProps {
    text: string;
}

interface OfferBannerProps {
    discountAppliedText: string;
    backgroundColor: string;
}
declare const OfferBanner: ({ discountAppliedText, backgroundColor }: OfferBannerProps) => JSX.Element;

interface TitleProps {
    title: string;
}

declare const CartProductItem: {
    Title: ({ title }: TitleProps) => JSX.Element;
    Tag: ({ discountAppliedText, backgroundColor }: OfferBannerProps) => JSX.Element;
    Promo: ({ text }: PromoProps) => JSX.Element;
    Description: ({ text }: DescriptionProps) => JSX.Element;
    CloseButton: ({ onClick, size }: CloseButtonProps) => JSX.Element;
};

declare enum CardSectionType {
    Header = 0,
    Footer = 1
}
declare enum ComponentSize {
    Large = "large",
    Medium = "medium",
    Small = "small",
    XSmall = "xsmall"
}
declare enum ComponentPosition {
    Top = 0,
    Bottom = 1,
    Left = 2,
    Right = 3
}
declare enum InputValidationType {
    Error = 0,
    Valid = 1,
    Empty = 2
}

declare type Theme = {
    name: string;
    fontSizes: number[];
    fontWeights: number[];
    lineHeights: number[];
    mediaQueries: ThemeBreakpoints;
    radius: {
        regular: string;
    };
    zIndex: {
        modal: number;
        overlay: number;
    };
    colors: ThemeColors;
    component: ThemeComponent;
    typography: ThemeTypography;
    fonts: ThemeFonts;
    assets: ThemeAssets;
};
declare type ThemeBreakpoints = {
    mobile: number;
    tablet?: number;
    desktop: number;
};
declare type ThemeBasicPallete = {
    color: string;
    contrast: string;
};
declare type ThemeColorPallete = ThemeBasicPallete & {
    soft?: ThemeBasicPallete;
};
declare type ThemeColorPrimaryPallete = ThemeColorPallete & {
    20: ThemeColorPallete;
    40: ThemeColorPallete;
    60: ThemeColorPallete;
    80: ThemeColorPallete;
};
declare type ThemeColors = {
    pallete: {
        primary: ThemeColorPrimaryPallete;
        secondary: ThemeColorPrimaryPallete;
        tertiary?: ThemeColorPrimaryPallete;
    } & Partial<Record<string, ThemeColorPallete>>;
    shades: {
        black: ThemeBasicPallete;
        white: ThemeBasicPallete;
        5: ThemeBasicPallete;
        10: ThemeBasicPallete;
        50: ThemeBasicPallete;
        100: ThemeBasicPallete;
        150: ThemeBasicPallete;
        175: ThemeBasicPallete;
        200: ThemeBasicPallete;
        250: ThemeBasicPallete;
        300: ThemeBasicPallete;
        350: ThemeBasicPallete;
        400: ThemeBasicPallete;
        450: ThemeBasicPallete;
        500: ThemeBasicPallete;
        550: ThemeBasicPallete;
        600: ThemeBasicPallete;
        650: ThemeBasicPallete;
        700: ThemeBasicPallete;
        750: ThemeBasicPallete;
        800: ThemeBasicPallete;
        850: ThemeBasicPallete;
        900: ThemeBasicPallete;
        950: ThemeBasicPallete;
        990: ThemeBasicPallete;
    };
    semantic: {
        positive: ThemeBasicPallete;
        urgent: ThemeBasicPallete;
        attention: ThemeBasicPallete;
        informative: ThemeBasicPallete;
    };
    border: {
        color: string;
        disabled: string;
        highlight: string;
        shadow?: string;
        isChecked?: string;
    };
    background: {
        color: string;
        disabled: string;
    };
    text: {
        color: string;
        disabled: string;
    };
};
declare type ThemeComponent = {
    button: {
        border: string;
        borderRadius: string;
        fontWeight: number;
        lineHeight: string;
        letterSpacing: string;
        minWidth: string;
        minHeight: string;
        size: {
            small: {
                fontSize: string;
                padding: string;
            };
            medium: {
                fontSize: string;
                padding: string;
            };
            large: {
                fontSize: string;
                padding: string;
            };
        };
        primary: {
            active: {
                backgroundColor: string;
                color: string;
            };
            hover: {
                backgroundColor: string;
                color: string;
            };
        };
        secondary: {
            active: {
                backgroundColor: string;
                color: string;
            };
            hover: {
                backgroundColor: string;
                color: string;
            };
        };
    };
    input: {
        background: string;
        color: string;
        placeholderColor: string;
        borderRadius: string;
        fontSize: string;
        fontWeight: number;
        padding: string;
        lineHeight: string;
        border: string;
        boxShadow: string;
        errorBorder: string;
    };
    inputPlaceholder: {
        fontSize: string;
        padding: string;
        focusBorder: string;
    };
    inputCustom: {
        button: {
            borderRadius: string;
        };
        input: {
            borderRadius: string;
        };
    };
    selector: {
        size: {
            small: {
                padding: string;
                borderRadius: string;
            };
            medium: {
                padding: string;
                borderRadius: string;
            };
        };
        default: {
            fontWeight: number;
            border: string;
            background: string;
            color: string;
        };
        hover: {
            fontWeight: number;
            background: string;
            border: string;
            color: string;
        };
        noStock: {
            fontWeight: number;
            background: string;
            border: string;
            color: string;
        };
        disabled: {
            border: string;
        };
        fontSize: string;
    };
    rating: {
        fontWeight: number;
        size: {
            xsmall: {
                fontSize: string;
                lineHeight: string;
            };
            small: {
                fontSize: string;
                lineHeight: string;
            };
            medium: {
                fontSize: string;
                lineHeight: string;
            };
            large: {
                fontSize: string;
                lineHeight: string;
            };
        };
    };
    stars: {
        element: {
            color: string;
            xsmall: {
                width: string;
                height: string;
                marginRight: string;
            };
            small: {
                width: string;
                height: string;
                marginRight: string;
            };
            medium: {
                width: string;
                height: string;
                marginRight: string;
            };
            large: {
                width: string;
                height: string;
                marginRight: string;
            };
        };
    };
    card: {
        borderRadius: string;
        backgroundColor: string;
    };
    radio: {
        borderColor: string;
        background: string;
        textSize: string;
        lineHeight: string;
        size: {
            small: {
                borderWidth: string;
                margin: string;
                height: string;
                active: {
                    borderWidth: string;
                };
            };
            medium: {
                borderWidth: string;
                margin: string;
                height: string;
                active: {
                    borderWidth: string;
                };
            };
            large: {
                borderWidth: string;
                margin: string;
                height: string;
                active: {
                    borderWidth: string;
                };
            };
        };
    };
    label: {
        color: string;
        fontSize: {
            small: string;
            medium: string;
            large: string;
        };
        lineHeight: {
            small: string;
            medium: string;
            large: string;
        };
    };
    checkbox: {
        background: string;
        borderColor: string;
        active: {
            background: string;
        };
        size: {
            large: {
                width: string;
                height: string;
                borderRadius: string;
                borderWidth: string;
                margin: string;
                icon: {
                    width: string;
                    height: string;
                };
            };
            medium: {
                width: string;
                height: string;
                borderRadius: string;
                borderWidth: string;
                margin: string;
                icon: {
                    width: string;
                    height: string;
                };
            };
            small: {
                width: string;
                height: string;
                borderRadius: string;
                borderWidth: string;
                margin: string;
                icon: {
                    width: string;
                    height: string;
                };
            };
        };
    };
    accordion: {
        variant: {
            box: {
                container: {
                    border: string;
                    borderColor: string;
                    borderRadius: string;
                    padding: string;
                };
                summary: {
                    fontWeight: number;
                    fontSize: string;
                    lineHeight: string;
                    color: string;
                };
                details: {
                    margin: string;
                };
                icon: {
                    width: number;
                    height: number;
                    color: string;
                };
            };
            simple: {
                container: {
                    borderTop: string;
                    borderBottom: string;
                    borderColor: string;
                    borderRadius: string;
                    padding: string;
                };
                summary: {
                    fontWeight: number;
                    fontSize: string;
                    lineHeight: string;
                    color: string;
                };
                details: {
                    margin: string;
                };
                icon: {
                    width: number;
                    height: number;
                    color: string;
                };
            };
        };
    };
    dropdown: {
        borderRadius: string;
        fontSize: string;
        fontWeight: number;
        lineHeight: string;
        padding: string;
        optionPadding: string;
        color: string;
        fill: string;
        borderWidth?: string;
        options: {
            borderColor: string;
            color: string;
            borderRadius: string;
            borderRadiusV2?: string;
            backgroundColor?: string;
        };
        optionsWrapper: {
            borderRadius: string;
            overflow: string;
        };
    };
    modal: {
        minWidth: string;
    };
    packSelector: {
        borderRadius: string;
        borderColor: string;
        highlightColor: string;
        selectedColor: string;
        selectedContrast: string;
        tagColor: string;
    };
    slideNavigation: {
        slideDots: {
            unselectedDotColor: string;
            selectedDotColor: string;
            dotsOpacity: number;
        };
    };
    beforeAfter: {
        size: {
            small: {
                image: {
                    minHeight: string;
                    minWidth: string;
                    mobile: {
                        minHeight: string;
                        minWidth: string;
                    };
                };
                imageContainer: {
                    maxWidth: string;
                    padding: string;
                    mobile: {
                        maxWidth: string;
                    };
                };
                userInfoText: {
                    fontSize: string;
                    mobile: {
                        fontSize: string;
                    };
                };
            };
            medium: {
                image: {
                    minHeight: string;
                    minWidth: string;
                    mobile: {
                        minHeight: string;
                        minWidth: string;
                    };
                };
                imageContainer: {
                    maxWidth: string;
                    padding: string;
                    mobile: {
                        maxWidth: string;
                    };
                };
                userInfoText: {
                    fontSize: string;
                    mobile: {
                        fontSize: string;
                    };
                };
            };
            large: {
                image: {
                    minHeight: string;
                    minWidth: string;
                    mobile: {
                        minHeight: string;
                        minWidth: string;
                    };
                };
                imageContainer: {
                    maxWidth: string;
                    padding: string;
                    mobile: {
                        maxWidth: string;
                    };
                };
                userInfoText: {
                    fontSize: string;
                    mobile: {
                        fontSize: string;
                    };
                };
            };
        };
    };
    total: {
        basicTotal: {
            amount: {
                color: string;
                fontSize: string;
            };
            currency: {
                color: string;
                fontSize: string;
                lineHeight: string;
                alignSelf?: string;
            };
            savings: {
                amountFontWeight: number;
                color?: string;
            };
        };
    };
    subTotal: {
        basicSubTotal: {
            family: string;
            size: string;
            weight: number;
            lineHeight: string;
            color: string;
        };
    };
    pricing: {
        priceLabel: {
            price: {
                size: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
                originalPriceColor: string;
                actualPriceColor: string;
                defaultFontSize?: {
                    large: string;
                    medium: string;
                    small: string;
                };
                smallFontSize?: {
                    large: string;
                    medium: string;
                    small: string;
                };
                largeFontSize?: {
                    large: string;
                    medium: string;
                    small: string;
                };
                discountFontSize?: {
                    large: string;
                    medium: string;
                    small: string;
                };
            };
        };
    };
    orderSummary: {
        headingTextAlign: string;
        backgroundColor?: string;
        padding?: string;
        borderRadius?: string;
        maxWidth?: string;
        onMobile: {
            maxWidth?: string;
            padding?: string;
            backgroundColor?: string;
        };
    };
    expressCheckout: {
        button: {
            borderRadius: string;
        };
    };
    copyrightText: {
        fontSize: string;
        fontWeight: number;
        lineHeight: string;
        color: string;
    };
    thankyouFooterText: {
        fontSize: string;
        fontWeight: string;
        lineHeight: string;
    };
    textButton: {
        fontWeight: number;
        lineHeight: string;
    };
    deliveryDetails: {
        title: {
            fontSize: string;
            lineHeight: string;
            fontWeight: number;
        };
        note: {
            accentColor: string;
            color: string;
            backgroundColor: string;
        };
        sectionTitle: {
            fontSize: string;
            lineHeight: string;
            fontWeight: number;
        };
        sectionDetails: {
            fontSize: string;
            lineHeight: string;
            fontWeight: number;
            marginLeft?: string;
        };
    };
    text: {
        orderHeader: {
            color: string;
        };
        fitGuarantee: {
            titleFontSize?: string;
            titleFontWeight?: number | string;
            fontWeight: number | string;
        };
        offerBanner: {
            borderRadius: string;
        };
    };
    orderBar: {
        backgroundColor: string;
        fontColor: string;
    };
    banner: {
        outlineColor: string;
        filledColor: string;
        fontColor: string;
    };
    offerTitleText: {
        size: string;
        weight: number;
        lineHeight: string;
    };
    linePrice: {
        color: string;
        badge: {
            color: string;
            borderRadius: string;
        };
    };
    divider: {
        color: string;
    };
    checkout: {
        paymentInformation: {
            borderRadius?: string;
        };
        creditCardSection: {
            borderRadius?: string;
        };
    };
    upsell: {
        banner: {
            outlined: {
                color?: string;
            };
        };
        price: {
            colors: {
                regular: string;
                deal: string;
                each: string;
                badgeBG: string;
                badgeColor: string;
            };
        };
        hurryTimeCard: {
            backgroundColor: string;
        };
        guaranteedFit?: {
            backgroundColor: string;
        };
    };
    thankyou: {
        orderBanner?: {
            text: {
                left: string;
            };
        };
        emailSection: {
            backgroundColor?: string;
        };
        socialIcon: {
            color?: string;
        };
        orderId: {
            color: string;
        };
    };
    hurryUp: {
        borderRadius?: string;
    };
    qtyPicker: {
        borderRadius: string;
    };
};
declare type ThemeTypography = {
    config: {
        weight: {
            heavy: number;
            bold: number;
            demi: number;
            regular: number;
        };
    };
    variants: Record<string, CSSProperties>;
};
declare type ThemeFonts = {
    url: string;
    config: Array<{
        src: string;
        family: string;
        weight?: number | string;
        style?: string;
        stretch?: string;
    }>;
};
declare type ThemeAssets = {
    cdn: string;
    images: {
        favicon: string;
        logo: string;
        logoSize?: {
            width: string;
            height: string;
        };
        logoMobile?: string;
        checkoutLogo?: {
            url: string;
            width: string;
            height: string;
        };
        upsellLogo?: {
            url: string;
            width: string;
            height: string;
        };
        tyLogo?: {
            url: string;
            width: string;
            height: string;
        };
    };
    [key: string]: any;
};

declare const ThemeProvider: FC<{
    theme: Theme$1;
    children: ReactNode;
}>;
declare const useTheme: () => Theme$1;

declare const ThemeVariables: FC<{
    theme: Theme$1;
    Container?: ElementType;
}>;
declare const AssetsProvider: FC<{
    assets: ThemeAssets;
}>;
declare const useThemeAssets: () => ThemeAssets;

interface CheckboxProps {
    disabled?: boolean;
    onChange: (checked: boolean) => void;
    size?: ComponentSize.Large | ComponentSize.Medium | ComponentSize.Small;
    text: string;
    checked?: boolean;
    blockUncheck?: boolean;
    id: string;
    backgroundColor?: string;
    variant: 'primary' | 'secondary' | 'color';
}
declare const Checkbox: React__default.FC<CheckboxProps>;

interface ImageStyleProps {
    height?: string;
    width?: string;
    borderRadius?: string;
    objectFit?: string;
    objectPosition?: string;
    className?: string;
}
interface ImageProps extends ImageStyleProps {
    src: string;
    alt: string;
    srcSet?: string;
    sizes?: string;
    loading?: 'lazy' | 'eager';
}
declare const Image: ({ src, srcSet, sizes, loading, alt, height, width, borderRadius, objectFit, objectPosition, className, }: ImageProps) => JSX.Element;

interface DiscountTagProps {
    discount: number;
    offText: string;
    savings?: string;
    showSavings?: boolean;
    disabled?: boolean;
    backgroundColor?: string;
    borderColor?: string;
    textColor?: string;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    style?: React__default.CSSProperties;
    bordersRounded?: boolean;
}
declare const DiscountTag: ({ discount, offText, savings, showSavings, disabled, backgroundColor, borderColor, textColor, size, style, bordersRounded, }: DiscountTagProps) => JSX.Element;

interface ClubOfferTagProps {
    clubOfferText?: string;
    className?: string;
    disabled?: boolean;
    backgroundColor?: string;
    borderColor?: string;
    textColor?: string;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    style?: React__default.CSSProperties;
}
declare const ClubOfferTag: ({ clubOfferText, className, disabled, backgroundColor, borderColor, textColor, size, style, }: ClubOfferTagProps) => JSX.Element;

interface PriceLabelProps {
    finalPrice: string | number;
    originalPrice?: string | number;
    color?: string;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    discount?: DiscountTagProps;
    clubOffer?: ClubOfferTagProps;
    finalPriceStyled?: boolean;
    finalPriceStyle?: React__default.CSSProperties;
    originalPriceStyled?: boolean;
    originalPriceUnderlined?: boolean;
    testId?: string;
    clubStyle?: boolean;
    bordersRounded?: boolean;
}
declare const PriceLabel: React__default.FC<PriceLabelProps>;

declare type Props = PriceLabelProps & {
    savingsDisplay?: boolean;
};
declare const PriceLabelV2: React__default.FC<Props>;

interface RatingProps {
    rating: number;
    size?: ComponentSize;
    reviews?: number;
    reviewsText?: string;
    wrapWithParenthesis?: boolean;
    underline?: boolean;
    reviewsContainerId?: string;
}
declare const Rating: ({ size, reviews, reviewsText, rating, wrapWithParenthesis, underline, reviewsContainerId, }: RatingProps) => JSX.Element;

interface ProductItemProps {
    title: string;
    image: ImageProps;
    price: Pick<PriceLabelProps, 'finalPrice' | 'originalPrice' | 'color'>;
    rating: Pick<RatingProps, 'rating' | 'reviews'>;
    tags?: {
        categoryTagText?: string;
        seasonOfferTagText?: string;
    };
    alignName?: 'left' | 'center';
    url?: string;
    className?: string;
}

interface ProductItemSmallMobileProps$1 extends ProductItemProps {
    titleStyle?: Pick<TextProps$1, 'variant' | 'weight' | 'size'>;
    ImageBorderRadius?: string;
    hasSpacing?: boolean;
    textContainerGap?: string;
    customSizeRating?: ComponentSize.XSmall | ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large | '';
    size: ComponentSize.Medium | ComponentSize.Small | ComponentSize.Large;
    imageHover?: ImageProps;
    topTag?: JSX.Element;
    bottomTag?: JSX.Element;
    onClick?: () => void;
    originalPriceStyled?: boolean;
    priceDisplayType?: 'default' | 'styled';
    priceAtBottom?: boolean;
    priceLoading?: boolean;
    noFollow?: boolean;
    colorPicker?: {
        display: boolean;
        position: string;
        component: JSX.Element | JSX.Element[] | undefined;
    };
    isBNPL?: {
        displayBNPL: boolean;
        installments: number;
        installmentPrice: string;
        iconFolder?: string;
        iconName: string;
        showLogo?: boolean;
        iconColor: string;
        fontSize: string;
    };
    hasStrength?: {
        strength: number;
        description: string;
    };
    clubPrice?: string;
    showClubPriceLabel?: boolean;
}

interface ProductItemSmallMobileProps extends ProductItemProps {
    size: ComponentSize.Medium | ComponentSize.Small | ComponentSize.Large;
    imageHover?: ImageProps;
    topTag?: JSX.Element;
    bottomTag?: JSX.Element;
    onClick?: () => void;
    priceDisplayType?: 'default' | 'styled';
    priceAtBottom?: boolean;
    priceLoading?: boolean;
    noFollow?: boolean;
    colorPicker?: {
        display: boolean;
        position: string;
        component: JSX.Element | JSX.Element[] | undefined;
    };
    isBNPL?: {
        displayBNPL: boolean;
        installments: number;
        installmentPrice: string;
        iconFolder?: string;
        iconName: string;
        showLogo?: boolean;
        iconColor: string;
        fontSize: string;
    };
    hasStrength?: {
        strength: number;
        description: string;
    };
    clubPrice?: string;
    showClubPriceLabel?: boolean;
    isRatingLoading?: boolean;
}

declare function withProductGrid<P extends ProductItemProps>(ProductItemComponent: React__default.FC<P>, data: ProductItemProps[]): {
    (props: Omit<P, 'title' | 'image' | 'price' | 'rating'>): JSX.Element;
    displayName: string;
};

declare const Collection: {
    ProductItemMobile: React$1.FC<ProductItemSmallMobileProps>;
    withProductGrid: typeof withProductGrid;
    ProductItemTK: ({ title, titleStyle, hasSpacing, textContainerGap, customSizeRating, image, ImageBorderRadius, imageHover, price, rating, size, alignName, url, className, topTag, bottomTag, onClick, priceDisplayType, originalPriceStyled, priceAtBottom, priceLoading, noFollow, colorPicker, isBNPL, hasStrength, clubPrice, showClubPriceLabel, }: ProductItemSmallMobileProps$1) => _emotion_react_types_jsx_namespace.EmotionJSX.Element;
};

interface IconProps {
    width?: number | string;
    height?: number | string;
    fill?: string;
    title?: string;
    testId?: string;
}
declare type ButtonType = 'button' | 'submit' | 'reset';
declare type CTAProps = {
    onClick: () => void;
    disabled?: boolean;
    wide?: boolean | false;
    size?: ComponentSize;
    text: string;
    type?: ButtonType;
    className?: string;
    testId?: string;
    inline?: boolean;
    iconName?: Props$2['name'];
};
declare type DropdownOption<T> = {
    key: string;
    label: string;
    value: T;
    disabled: boolean;
};
declare type SizeOption = {
    label: string;
    description: string;
    disabled?: boolean;
    noStock?: boolean;
};
declare type Pattern = {
    url: string;
};
declare type ColorPickerOption = {
    label: string;
    description: string;
    noStock?: boolean;
    meta: {
        color?: string[];
        pattern?: Pattern;
    };
};
declare type RadioGroupOption = {
    value: string;
    label: string | ReactFragment;
};
declare type ImageType = {
    key: string;
    imageUrl: string;
    alt: string;
    thumbnailUrl?: string;
};
interface IconWithOpacityProps extends IconProps {
    opacity?: number;
}
interface WithTestId {
    testId?: string;
}
declare type DropdownListIconsItem = {
    Icon: IconType;
    items: DropdownListIconsSubItem[];
};
declare type DropdownListIconsSubItem = {
    description: string;
    callback: () => void;
};
declare type Filter = {
    title: string;
    columns: number;
    isOpenByDefault?: boolean;
    isLinkOption?: boolean;
    link?: string;
    color?: string;
    isMultiselect: boolean;
    type?: string;
    items: Array<{
        label: string;
        checked?: boolean;
        isLinkItem?: boolean;
        link?: string;
        blockUncheck?: boolean;
        value?: string;
    }>;
    showInMobile: boolean;
    showInTablet: boolean;
};
declare type FilterChange = {
    sectionIndex: number;
    itemIndex: number;
    checked?: boolean;
};
interface SearchBarOptionItem {
    src: string;
    price: string;
    title: string;
    optionUrl: string;
}
interface imageVideoProps {
    imageLink: string;
    isVideo?: {
        videoTitle?: string;
        videoSubtitle?: string;
        textColor?: string;
        videoLink?: string;
    };
    isMobile?: boolean;
}

interface MultiColorPickerProps {
    options?: ColorPickerOption[];
    label: string;
    selectedValue?: ColorPickerOption;
    onChange: (color: Set<ColorPickerOption>) => void;
}
declare const MultiColorPicker: ({ options, label, selectedValue, onChange, }: MultiColorPickerProps) => JSX.Element;

interface ColorPickerProps {
    options: ColorPickerOption[];
    selectedValue?: ColorPickerOption;
    label: string;
    onChange: (color: ColorPickerOption) => void;
    inline?: boolean;
}
declare const SingleColorPicker: ({ options, selectedValue, label, onChange, inline, }: ColorPickerProps) => _emotion_react_jsx_runtime.JSX.Element;

interface CrossSellCheckboxProps extends rightToLeftProps {
    imageURL: string;
    title: string;
    description: string;
    freeShippingText: string;
    onChange: (checked: Boolean) => void;
}
interface rightToLeftProps {
    rightToLeft: boolean;
}
declare const CrossSellCheckbox: ({ imageURL, title, description, freeShippingText, rightToLeft, onChange, }: CrossSellCheckboxProps) => JSX.Element;

type index_d_CrossSellCheckboxProps = CrossSellCheckboxProps;
declare const index_d_CrossSellCheckbox: typeof CrossSellCheckbox;
declare namespace index_d {
  export {
    index_d_CrossSellCheckboxProps as CrossSellCheckboxProps,
    index_d_CrossSellCheckbox as CrossSellCheckbox,
  };
}

declare const ButtonPrimary: ({ testId, ...props }: CTAProps) => _emotion_react_jsx_runtime.JSX.Element;

declare const ButtonSecondary: (props: CTAProps) => _emotion_react_jsx_runtime.JSX.Element;

declare const ButtonSecondaryOutline: (props: CTAProps) => _emotion_react_jsx_runtime.JSX.Element;

declare type detail = {
    title: string;
    details: string;
};
interface orderUpdate extends detail {
    keepMeUpdated?: {
        title: string;
        onClick: () => void;
    };
}
interface DeliveryDetailsProps {
    deliveryDetailsText: string;
    arrivingBy: detail;
    shippingTo: detail;
    instantOrderUpdate: orderUpdate;
    note?: {
        importantNoteText: string;
        text: string;
        accentColor?: string;
        backgroundColor?: string;
        color?: string;
    };
}
declare const DeliveryDetails: ({ deliveryDetailsText, arrivingBy, shippingTo, instantOrderUpdate, note, }: DeliveryDetailsProps) => JSX.Element;

interface NoteProps {
    accentColor?: string;
    color?: string;
    backgroundColor?: string;
    importantNoteText: string;
    text: string;
}
declare const Note: ({ accentColor, color, backgroundColor, importantNoteText, text, }: NoteProps) => JSX.Element;

interface DrawerProps {
    children: React__default.ReactNode;
    isOpen: boolean;
    onClose?: () => void;
    onOpen?: () => void;
    onClickOutside?: (event: React__default.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    backgroundColor?: string;
    backdropColor?: string;
    position?: 'left' | 'right';
    width?: string;
    height?: string;
    top?: string;
}
declare const Drawer: ({ children, isOpen, onClose, onOpen, backgroundColor, backdropColor, position, width, height, top, onClickOutside, }: DrawerProps) => JSX.Element | null;

interface DropdownListIconsProps {
    items: DropdownListIconsItem[];
}
declare const DropdownListIcons: ({ items }: DropdownListIconsProps) => JSX.Element;

interface DropdownProps {
    options: SelectedOption[];
    defaultLabel: string;
    onOptionSelect: (option: string) => void;
}
interface SelectedOption {
    size: string;
    detail: string;
}
declare const SizeDropdown: React__default.FC<DropdownProps>;

interface DialogPositionProps {
    top: string;
    right: string;
}
interface DialogDropdownProps {
    options: {
        label: string;
        value: string;
    }[];
    position: DialogPositionProps;
    style?: React__default.CSSProperties;
    className?: string;
}
declare const DropdownDialog: ({ options, position: { top, right }, style, className, }: DialogDropdownProps) => JSX.Element;

declare type FilteringDropdownProps<T> = {
    options: DropdownOption<T>[];
    disabled?: boolean;
    wide?: boolean;
    onChange: (options: DropdownOption<T>[]) => void;
    filter?: boolean;
    sliceAfter?: number;
    placeHolder: string;
};
declare function FilteringDropdown<T>({ options, disabled, placeHolder, wide, sliceAfter, filter, onChange, }: FilteringDropdownProps<T>): JSX.Element;

declare type Value<T> = DropdownOption<T>;
declare type OnChange<T> = (option: Value<T>) => void;
declare type CommonProps<T> = {
    options: Value<T>[];
    disabled?: boolean;
    wide?: boolean;
    label?: string;
    sort?: boolean;
    initialValue?: Value<T>;
    placeHolder: string;
    testId?: string;
    required?: string;
    showRequiredPlaceholder?: boolean;
};
declare type ControlledProps<T> = {
    value: Value<T>;
    onChange: OnChange<T>;
} & CommonProps<T>;
declare type UncontrolledProps<T> = {
    value?: never;
    onChange?: OnChange<T>;
} & CommonProps<T>;
declare type SimpleDropdownProps<T> = UncontrolledProps<T> | ControlledProps<T>;
declare function SimpleDropdown<T>({ options, disabled, initialValue, placeHolder, label, wide, sort, onChange, value, testId, required, showRequiredPlaceholder, }: SimpleDropdownProps<T>): JSX.Element;

interface FiltersProps {
    values: Filter[];
    onChange: (newValues: Filter[], filtersState?: FilterChange) => void;
    tagsColor?: string;
    filterByText: string;
    clearAllText: string;
    filtersSelectText: string;
    showSelectedNumberInSection: boolean;
    isMobile: boolean;
    applyText: string;
    mobileBackArrowClick: () => void;
    mobileApplyButtonClick: () => void;
    onResetValues: () => void;
}
declare const Filters: ({ values, onChange, tagsColor, filterByText, clearAllText, isMobile, filtersSelectText, showSelectedNumberInSection, applyText, mobileApplyButtonClick, mobileBackArrowClick, onResetValues, }: FiltersProps) => JSX.Element;

interface TagsProps {
    color?: string;
    items: string[];
    onCloseClick: (index: number) => void;
}
declare const Tags: ({ color, items, onCloseClick }: TagsProps) => JSX.Element;

interface FitGuaranteeProps {
    backgroundColor?: string;
    borderColor?: string;
    title: string;
    description: string;
    widthAuto?: boolean;
    testId?: string;
    iconFolder?: string;
    iconName?: string;
    iconWidth?: number;
    iconHeight?: number;
}
declare const FitGuarantee: ({ backgroundColor, borderColor, title, description, widthAuto, testId, iconFolder, iconName, iconWidth, iconHeight, }: FitGuaranteeProps) => JSX.Element | null;

interface FitPredictorProps {
    onClick: () => void;
}
declare const FitPredictor: ({ onClick }: FitPredictorProps) => _emotion_react_jsx_runtime.JSX.Element;

interface ProductGalleryProps {
    images: ImageType[];
    selectedValue?: ImageType;
    topTag?: JSX.Element;
    bottomTag?: JSX.Element;
    productImageDataTestId?: string;
    previewListDataTestId?: string;
    thumbnailPosition?: 'vertical' | 'horizontal';
    borderRadiusVariant?: boolean;
    previewImgBorderColor?: string;
    ctaText?: string;
    ctaAction?: () => void;
    hideCTA?: boolean;
    hasOverflowArrows?: boolean;
}
declare const ProductGallery: ({ images, selectedValue, topTag, bottomTag, productImageDataTestId, previewListDataTestId, thumbnailPosition, borderRadiusVariant, previewImgBorderColor, ctaText, ctaAction, hideCTA, hasOverflowArrows, }: ProductGalleryProps) => JSX.Element;

interface IconButtonProps {
    children: React__default.ReactNode;
    disabled?: boolean;
    onClick?: (event: React__default.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
}
declare const IconButton: ({ children, disabled, size, onClick, }: IconButtonProps) => JSX.Element;

interface AmazonPaypalBtnProps {
    onClick: () => void;
}
declare const AmazonButton: ({ onClick }: AmazonPaypalBtnProps) => JSX.Element;
declare const PaypalButton: ({ onClick }: AmazonPaypalBtnProps) => JSX.Element;

interface IconsWithTitleProps {
    backgroundColor: string;
    iconColor: string;
    iconName: string;
    iconFolder?: string;
    withWrapper?: boolean;
    iconTitle: string;
    iconSizeDesktop?: number;
    iconSizeMobile?: number;
    iconTitlePosition?: 'top' | 'bottom' | 'left' | 'right';
    iconTitleStyle?: string;
    iconStyle?: string;
    isTitleInnerHtml?: boolean;
}
declare const IconsWithTitle: ({ iconName, iconTitle, iconFolder, withWrapper, backgroundColor, iconColor, iconSizeDesktop, iconSizeMobile, iconTitlePosition, iconTitleStyle, iconStyle, isTitleInnerHtml, }: IconsWithTitleProps) => JSX.Element | null;

interface ImageCardWithDescriptionProps {
    image: string;
    title?: string;
    description?: string;
    titlePosition?: 'center' | 'left';
}
declare const ImageCardWithDescription: ({ image, title, description, titlePosition, }: ImageCardWithDescriptionProps) => JSX.Element;

interface BaseInputCommonProps {
    id?: string;
    value?: string;
    innerRef?: React__default.Ref<HTMLInputElement>;
    onBlur?: () => void;
    onFocus?: () => void;
    onChange?: (value: string, event: any) => void;
    hideClear?: boolean;
    defaultValue?: string;
    maxLength?: number;
    placeholder?: string;
    label?: string;
    onValidation?: (status: InputValidationType) => void;
    disabled?: boolean;
    required?: string;
    children?: React__default.ReactNode;
    size?: 'regular' | 'small';
    inlinePlaceholder?: boolean;
    hasError?: boolean;
    inputType?: 'text' | 'email' | 'password' | 'url';
    name?: string;
    autoFocus?: boolean;
    requiredPlaceholder?: string;
}
declare type BaseInputProps = BaseInputCommonProps;

declare type BasePlusIconProps = BaseInputProps & {
    Icon: IconType;
};

declare type BasePlusButtonProps = BaseInputProps & {
    label?: undefined;
    onClick: (value: string) => void;
    onClickEdit: () => void;
    text: string;
    success: boolean;
    editText: string;
    successText: string;
};

interface BaseCTAProps {
    onClick: () => void;
    disabled?: boolean;
    wide?: boolean;
    className?: string;
    size?: ComponentSize;
    text: string;
    type?: ButtonType;
    inline?: boolean;
    testId?: string;
    iconName?: Props$2['name'];
}

declare type ButtonProps = {
    variant: 'primary' | 'secondary' | 'secondary-outline';
} & BaseCTAProps;

declare type CustomProps = BaseInputProps & {
    onClick: () => void;
    text: string;
    variant: ButtonProps['variant'];
    defaultRounded?: boolean;
};

declare const Input: {
    Simple: ({ value, onChange, label, children, required, onValidation, size, placeholder, inlinePlaceholder, hasError, inputType, hideClear, innerRef, requiredPlaceholder, ...rest }: BaseInputCommonProps) => JSX.Element;
    Custom: ({ onClick, text, variant, defaultRounded, ...rest }: CustomProps) => JSX.Element;
    SimplePlusButton: ({ onClick, onClickEdit, text, success, editText, successText, ...rest }: BasePlusButtonProps) => JSX.Element;
    SimplePlusIcon: ({ Icon, ...rest }: BasePlusIconProps) => JSX.Element;
};

interface ProductGalleryMobileProps$1 {
    images: ImageType[];
    customClick?: boolean;
    topTag?: JSX.Element;
    bottomTag?: JSX.Element;
    productImageDataTestId?: string;
    borderRadiusVariant?: boolean;
    selectedValue?: ImageType;
}
declare const ProductGalleryMobile: ({ images, customClick, topTag, bottomTag, productImageDataTestId, borderRadiusVariant, selectedValue, }: ProductGalleryMobileProps$1) => JSX.Element;

interface ProductGalleryMobileProps {
    images: ImageType[];
    selectedValue?: ImageType;
    topTag?: JSX.Element;
    bottomTag?: JSX.Element;
    productImageDataTestId?: string;
    slideDotsDataTestId?: string;
    borderRadiusVariant?: boolean;
}
declare const ProductGalleryMobileV2: ({ images, selectedValue, topTag, bottomTag, productImageDataTestId, slideDotsDataTestId, borderRadiusVariant, }: ProductGalleryMobileProps) => JSX.Element;

declare type ModalProps = {
    id: string;
    dismissable?: boolean;
    maxFullScreen?: boolean;
    padding?: string;
    children: React__default.ReactNode;
};
interface ContainerProps {
    maxFullScreen: boolean;
    opened?: boolean;
    padding?: string;
}
declare const Overlay: _emotion_styled.StyledComponent<{
    theme?: _emotion_react.Theme | undefined;
    as?: React__default.ElementType<any> | undefined;
} & Pick<ContainerProps, "opened">, React__default.DetailedHTMLProps<React__default.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const Modal: FC<ModalProps>;
declare const modalEvent: (id: string, detail: Omit<Events['modal'], 'id'>) => void;
declare const useModalEvent: (id: string, cb: (event: CustomEvent<Events['modal']>) => void) => void;
declare const useModal: (id: string) => {
    opened: boolean;
    open: () => void;
    close: () => void;
};

interface MotivatorProgressBarProps {
    fillColor?: string;
    currentAmount?: number;
    backgroundColor?: string;
    unfilledColor?: string;
    borderRadius?: string;
    rewardUnlockedMessage: string;
    endingValue?: number;
    currencyCode?: string;
}
declare const MotivatorProgressBar: ({ fillColor, backgroundColor, unfilledColor, currencyCode, endingValue, currentAmount, rewardUnlockedMessage, }: MotivatorProgressBarProps) => JSX.Element;

interface OrderBarProps {
    message: string;
    color?: string;
}
declare const OrderBar: ({ message, color }: OrderBarProps) => JSX.Element;

interface PackOption {
    label: string;
    description: string;
    meta: {
        discountPercentage: number;
        originalPrice: number;
        price: number;
        quantity: number;
        icon: string;
        tag?: string;
    };
}
interface PackSelectorProps {
    packs: PackOption[];
    selectedValue: PackOption;
    onChange: (size: PackOption) => void;
    currencyCode?: string;
}
declare const PackSelector: FC<PackSelectorProps>;

interface PaginationProps {
    from: number;
    to: number;
    onChange: (page: number) => void;
    currentPage?: number;
    underlineActive?: boolean;
    boldActive?: boolean;
    disabled?: boolean;
    showReducedPages?: boolean;
}
declare const Pagination: ({ from, to, currentPage, onChange, underlineActive, boldActive, disabled, showReducedPages, }: PaginationProps) => JSX.Element;

declare const PaginatorBlog: ({ from, to, currentPage, onChange, }: Pick<PaginationProps, 'from' | 'to' | 'onChange' | 'currentPage'>) => JSX.Element;

interface PaymentMethodsProps {
    Icon: IconType;
    width: string;
    height: string;
    onClick?: () => void;
}
declare const PaymentMethod: ({ Icon, width, height, onClick }: PaymentMethodsProps) => JSX.Element;

interface Price extends Pick<PriceLabelProps, 'finalPrice' | 'originalPrice'> {
    color?: string;
}
interface ProductOrderItemProps {
    title: React__default.ReactNode | string;
    subtitle: string;
    className?: string;
    image: {
        src: string;
        alt: string;
    };
    quantity?: number;
    price: Price;
    tag?: {
        text: string;
        backgroundColor: string;
    };
    finalPriceStyle?: React__default.CSSProperties;
}
declare const SimpleOrderItem: ({ title, className, subtitle, image, price, tag, quantity, finalPriceStyle, }: ProductOrderItemProps) => JSX.Element;

interface ProgressBarProps {
    description?: string;
    fillColor: string;
    widthAuto?: boolean;
    percent?: number;
    height?: string;
    backgroundColor?: string;
    borderRadius?: string;
}
declare const ProgressBar: ({ description, fillColor, widthAuto, percent, height, backgroundColor, borderRadius, }: ProgressBarProps) => JSX.Element;

declare type QuantityPickerPropsOnChange = (value: number) => void;
declare type QuantityPickerPropsControlled = {
    value: number;
    onChange: QuantityPickerPropsOnChange;
};
declare type QuantityPickerPropsUncontrolled = {
    value?: never;
    onChange?: QuantityPickerPropsOnChange;
};
declare type QuantityPickerProps = {
    initialValue?: number;
    maxValue?: number;
    testId?: string;
} & (QuantityPickerPropsControlled | QuantityPickerPropsUncontrolled);
declare const QuantityPicker: ({ initialValue, maxValue, value, testId, onChange, }: QuantityPickerProps) => JSX.Element;

interface RadioProps$1 {
    name: string;
    value: string;
    id: string;
    label: string | ReactFragment;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    checked?: boolean;
    disabled?: boolean;
    onChange: (option: RadioGroupOption) => void;
    style?: React__default.CSSProperties;
}
declare const RadioPrimary: ({ style, name, value, id, label, checked, disabled, onChange, size, }: RadioProps$1) => JSX.Element;

interface RadioGroupInputProps {
    name: string;
    options?: RadioGroupOption[];
    value?: RadioGroupOption;
    onChange: (value: RadioGroupOption) => void;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    disabled?: boolean;
    style?: React__default.CSSProperties;
}
declare const RadioGroupInput: ({ style, name, options, value, onChange, size, disabled, }: RadioGroupInputProps) => JSX.Element;

interface ClubRadioGroupInputProps {
    name: string;
    options?: RadioGroupOption[];
    value?: RadioGroupOption;
    onChange: (value: RadioGroupOption) => void;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    disabled?: boolean;
    style?: React__default.CSSProperties;
}
declare const ClubRadioGroupInput: ({ style, name, options, value, onChange, size, disabled, }: ClubRadioGroupInputProps) => JSX.Element;

interface RadioProps {
    name: string;
    value: string;
    id: string;
    label: string | ReactFragment;
    size?: ComponentSize.Small | ComponentSize.Medium | ComponentSize.Large;
    checked?: boolean;
    disabled?: boolean;
    onChange: (option: RadioGroupOption) => void;
    style?: React__default.CSSProperties;
}
declare const RadioInput: ({ style, name, value, id, label, checked, disabled, onChange, size, }: RadioProps) => JSX.Element;

interface StarListProps {
    rating: number;
    size?: ComponentSize;
    starsNumber: number;
    fill: string;
}
declare const StarList: ({ rating, starsNumber, fill, size, }: StarListProps) => JSX.Element;

interface ReviewProps$1 {
    reviewId: string;
    reviewerName: string;
    date: Date;
    rating: number;
    stars: {
        color: string;
        size: ComponentSize.Medium | ComponentSize.Small;
    };
    title: string;
    description: string;
    image?: {
        src: string;
        alt: string;
    };
    modalId: string;
    maxFullScreen?: boolean;
    verified?: boolean;
    productImage?: string;
    productTitle?: string;
    productLink?: string;
    helpfulCount?: number;
    helpfulAction?: (id: string) => void;
    notHelpfulCount?: number;
    notHelpfulAction?: (id: string) => void;
}
declare const Review$1: ({ reviewId, reviewerName, date, rating, stars, title, description, image, modalId, maxFullScreen, verified, productImage, productTitle, productLink, helpfulCount, helpfulAction, notHelpfulCount, notHelpfulAction, }: ReviewProps$1) => JSX.Element;

interface ReviewProps {
    reviewId: string;
    reviewerName: string;
    date: Date;
    rating: number;
    stars: {
        color: string;
        size: ComponentSize.Medium | ComponentSize.Small;
    };
    title: string;
    description: string;
    images?: {
        src: string;
        alt: string;
    }[];
    reviewVariant?: string;
    onClickImage?: (image: string) => void;
    helpfulActionText?: string;
    helpfulAction?: (id: string) => void;
    helpfulCount?: number;
}
declare const Review: ({ reviewId, reviewerName, date, rating, stars, title, description, images, reviewVariant, onClickImage, helpfulActionText, helpfulAction, helpfulCount, }: ReviewProps) => JSX.Element;

interface ReviewsHeaderProps {
    title?: string;
    rating: number;
    reviews: number;
    reviewsText: string;
    reviewsSummary: string[];
    onClickReview: (reveiw: string) => void;
}
declare const ReviewsHeader: ({ title, rating, reviews, reviewsText, reviewsSummary, onClickReview, }: ReviewsHeaderProps) => JSX.Element;

interface ScrollToTopProps {
    scrollToTopText: string;
    onClick: () => void;
    fill?: string;
    Icon?: React__default.FC<IconProps$1>;
}
declare const ScrollToTop: ({ scrollToTopText, onClick, fill, Icon, }: ScrollToTopProps) => JSX.Element;

declare type SearchBarProps = {
    suggestions: SearchBarOptionItem[];
    resultOptions: SearchBarOptionItem[];
    onChange: (text: string) => void;
    onSearch: (term: string) => void;
    onClose: () => void;
    resultsPanelDataTestId?: string;
    allResults?: number;
    initialTerm?: string;
    shouldClear?: boolean;
    isBlogSearchBar?: boolean;
    ariaLabel?: string;
    placeholder?: string;
    id?: string;
    autoComplete?: string;
};
declare const SearchBar: React__default.FC<SearchBarProps>;

interface SearchNavigationProps {
    returnText?: string;
    returnUrl?: string;
    steps?: string[];
    returnAction?: () => void;
}
declare const SearchNavigation: ({ returnText, returnUrl, steps, returnAction, }: SearchNavigationProps) => JSX.Element;

interface CardBodyProps {
    children: ReactNode;
}

interface CardSectionProps {
    children: ReactNode;
}

interface borderProps {
    borderColor: string;
    borderWidth: string;
}
interface CardProps {
    children: ReactNode;
    backgroundColor?: string;
    widthAuto?: boolean;
    border?: borderProps;
    flex?: boolean;
}
declare const _default: (({ children, backgroundColor, widthAuto, border, flex }: CardProps) => JSX.Element) & {
    Header: ({ children }: CardSectionProps) => JSX.Element;
    Footer: ({ children }: CardSectionProps) => JSX.Element;
    Body: ({ children }: CardBodyProps) => JSX.Element;
};

declare type PortalProps = {
    id: string;
    className?: string;
    overflow?: boolean;
    style?: CSSProperties;
};
declare const Portal: FC<PortalProps>;

declare type SpacingProps = {
    size: number;
    type?: 'block' | 'inline';
    style?: CSSProperties;
};
declare const Spacing: FC<SpacingProps>;

interface ShortBannerProps {
    title: string;
    bannerText: string;
    backgroundColor: string;
    alignCenter?: boolean;
    widthAuto?: boolean;
    textColor: string;
}
declare const ShortBanner: ({ textColor, title, bannerText, backgroundColor, alignCenter, widthAuto, }: ShortBannerProps) => JSX.Element;

interface TableProps$1 {
    headers: string[];
    data: string[][];
    newSizeTableCss?: boolean;
}
declare const SizeChartTable: ({ headers, data, newSizeTableCss }: TableProps$1) => JSX.Element;

interface TableProps {
    headers: string[];
    data: string[][];
    className?: string;
}
declare const SizeTable: ({ headers, data, className }: TableProps) => JSX.Element;

interface SizeFitGuideProps {
    title: string;
    fitPercentage?: number;
    onClick: () => void;
    onClickFitPercentage?: () => void;
}
declare const SizeFitGuide: ({ title, fitPercentage, onClick, onClickFitPercentage, }: SizeFitGuideProps) => JSX.Element;

interface SizeSelectorProps {
    label: string;
    sizes: SizeOption[];
    selectedValue: SizeOption;
    onChange: (size: SizeOption) => void;
    inline?: boolean;
    width?: string;
}
declare const SizeSelector: ({ label, sizes, selectedValue, onChange, inline, width, }: SizeSelectorProps) => _emotion_react_jsx_runtime.JSX.Element;

interface SliderNavigationProps {
    children: JSX.Element | JSX.Element[] | StyledComponent<any>;
    infinite: boolean;
    adaptiveHeight: boolean;
    dotsSize?: ComponentSize.Large | ComponentSize.Medium | ComponentSize.Small;
    dotListMarginTop?: number;
    initialSlide?: number;
    arrows?: {
        arrowWidth: number;
        arrowHeight: number;
        arrowPadding: number;
    };
    dots?: boolean;
    slidesToShow?: number;
    speed?: number;
}
declare const SliderNavigation: ({ children, infinite, arrows, adaptiveHeight, dotsSize, dotListMarginTop, initialSlide, dots, slidesToShow, speed, }: SliderNavigationProps) => _emotion_react_jsx_runtime.JSX.Element;

interface StrengthBarProps {
    barsFilled?: number;
    supportText?: string;
}
declare const StrengthBars: ({ barsFilled, supportText }: StrengthBarProps) => JSX.Element;

interface TabProps$1 {
    title: string;
    titleSize?: string;
    selectedTitleWeight?: number;
    height?: string;
    selected?: boolean;
    color?: string;
    tabsMaxWidth?: string;
    onClick: (clickedTab: string) => void;
}
declare const Tab: ({ title, titleSize, height, selectedTitleWeight, selected, onClick, color, tabsMaxWidth, }: TabProps$1) => JSX.Element;

interface TabProps {
    title: string;
    content: ReactNode;
}
interface TabsProps {
    backgroundColor?: string;
    initialSelected?: string;
    tabsMaxWidth?: string;
    tabs: TabProps[];
}
declare const Tabs: ({ backgroundColor, tabs, initialSelected, tabsMaxWidth, }: TabsProps) => JSX.Element | null;

interface CategoryTagProps {
    text: string;
    size: ComponentSize.Large | ComponentSize.Medium | ComponentSize.Small;
    className?: string;
    styledBorder?: boolean;
}
declare const CategoryTag: ({ text, size, className, styledBorder }: CategoryTagProps) => _emotion_react_jsx_runtime.JSX.Element;

interface CategorySquareTagProps {
    text: string;
    size: ComponentSize.Large | ComponentSize.Medium | ComponentSize.Small;
    className?: string;
    styledBorder?: boolean;
}
declare const CategorySquareTag: ({ text, size, className, styledBorder, }: CategorySquareTagProps) => _emotion_react_jsx_runtime.JSX.Element;

interface SeasonOfferTagProps {
    text: string;
    backgroundColor?: string;
    size: ComponentSize.Large | ComponentSize.Medium | ComponentSize.Small;
    className?: string;
    styledBorder?: boolean;
    bottomRightBorderRounded?: string;
    allBordersRounded?: {
        value: string;
        size?: ComponentSize;
    };
    color?: string;
}
declare const SeasonOfferTag: ({ text, backgroundColor, size, className, styledBorder, bottomRightBorderRounded, allBordersRounded, color, }: SeasonOfferTagProps) => _emotion_react_jsx_runtime.JSX.Element;

interface SeasonOfferRoundedTagProps {
    text: string;
    backgroundColor?: string;
    size: ComponentSize;
    className?: string;
}
declare const SeasonOfferRoundedTag: ({ text, backgroundColor, size, className, }: SeasonOfferRoundedTagProps) => _emotion_react_jsx_runtime.JSX.Element;

interface BaseButtonProps {
    children: React__default.ReactNode;
    renderLeading?: React__default.ReactNode;
    renderTrailing?: React__default.ReactNode;
    disabled?: boolean;
    type?: ButtonType;
    onClick: () => void;
    className?: string;
    inline?: boolean;
    uppercase?: boolean;
    testId?: string;
    id?: string;
}

declare type BaseProps = Pick<BaseButtonProps, 'disabled' | 'type' | 'onClick'>;
interface TextButtonProps$1 extends BaseProps {
    text: string;
    LeadingIcon?: IconType;
    TrailingIcon?: IconType;
    iconColor?: string;
    size?: ComponentSize;
    uppercase?: boolean;
}
declare const TextButton: ({ text, LeadingIcon, TrailingIcon, iconColor, disabled, type, size, uppercase, onClick, }: TextButtonProps$1) => _emotion_react_jsx_runtime.JSX.Element;

declare const Text: ({ variant, children, testId, asSpan, ...allProps }: TextProps) => _emotion_react_jsx_runtime.JSX.Element;
declare type TextHeroProps = {
    variant: 'hero1' | 'hero2' | 'hero3';
    weight?: 'heavy' | 'bold' | 'demi';
    size?: 'regular' | 'xsmall';
    underline?: never;
    disabled?: never;
    wide?: never;
    original?: never;
    allCaps?: never;
    href?: never;
};
declare type TextDisplayProps = {
    variant: 'display1' | 'display2' | 'display3';
    weight?: 'bold' | 'demi';
    size?: 'regular' | 'xsmall';
    underline?: never;
    disabled?: never;
    wide?: never;
    original?: never;
    allCaps?: never;
    href?: never;
};
declare type TextHeadingProps = {
    variant: 'heading1' | 'heading2' | 'heading3' | 'heading4' | 'heading5' | 'heading6' | 'heading7' | 'heading8';
    weight?: 'bold' | 'demi' | 'regular';
    size?: 'regular' | 'xsmall';
    underline?: never;
    disabled?: never;
    wide?: never;
    original?: never;
    allCaps?: never;
    href?: never;
};
declare type TextBodyProps = {
    variant: 'body';
    size?: 'large' | 'regular' | 'small' | 'xsmall';
    weight?: 'bold' | 'demi' | 'regular';
    underline?: never;
    disabled?: never;
    wide?: never;
    original?: never;
    allCaps?: never;
    href?: never;
};
declare type TextButtonProps = {
    variant: 'button';
    size: 'large' | 'regular' | 'small';
    weight: 'bold' | 'demi';
    underline?: never;
    disabled?: never;
    wide?: boolean;
    original?: never;
    allCaps?: never;
    href?: never;
};
declare type TextPricingProps = {
    variant: 'pricing';
    size: 'large' | 'medium' | 'regular' | 'small';
    weight?: never;
    underline?: never;
    disabled?: never;
    wide?: never;
    original?: boolean;
    allCaps?: never;
    href?: never;
};
declare type TextLinkProps = {
    variant: 'link';
    weight?: 'demi' | 'regular';
    size?: 'regular' | 'small';
    underline?: boolean;
    disabled?: boolean;
    wide?: never;
    original?: never;
    allCaps?: never;
    href?: string;
};
declare type TextLabelProps = {
    variant: 'label';
    color?: string;
    weight?: 'regular' | 'demi';
    size?: 'large' | 'regular' | 'small';
    underline?: never;
    disabled?: boolean;
    wide?: never;
    original?: never;
    allCaps?: never;
    href?: never;
} & LabelHTMLAttributes<'label'>;
declare type TextTagProps = {
    variant: 'tag';
    size?: 'regular' | 'small' | 'x-small';
    weight?: 'regular' | 'demi' | 'bold';
    underline?: never;
    disabled?: boolean;
    wide?: never;
    original?: never;
    allCaps?: boolean;
    href?: never;
};
declare type TextProps<T = Element> = AriaAttributes & HTMLAttributes<T> & {
    children: ReactNode;
    style?: CSSProperties;
    className?: string;
    testId?: string;
    asSpan?: boolean;
    color?: string;
} & (TextHeroProps | TextDisplayProps | TextHeadingProps | TextBodyProps | TextLinkProps | TextButtonProps | TextPricingProps | TextLabelProps | TextTagProps);

interface TextWithImageProps {
    title: string;
    text?: string;
    children?: ReactNode;
    buttomText: string;
    backgroundColor: string;
    imageLeftSide?: boolean;
    URLLink?: string;
    onButtonClick?: () => void;
    isRedirectionURL: boolean;
    btnBGColor?: string;
    btnHoverBGColor?: string;
    imgVideo: imageVideoProps;
    contentAfterButton?: React__default.ReactNode;
    titleStyle?: React__default.CSSProperties;
    textStyle?: React__default.CSSProperties;
    buttonWideOnMobile?: boolean;
}
declare const TextWithImage: ({ title, text, children, buttomText, backgroundColor, imageLeftSide, titleStyle, textStyle, buttonWideOnMobile, ...props }: TextWithImageProps) => _emotion_react_jsx_runtime.JSX.Element;

interface TimeProps {
    hours: number;
    minutes: number;
    seconds: number;
}
interface TimerProps extends TimeProps {
    onTimeUp: () => void;
    displayZeroValues?: boolean;
    showSeconds?: boolean;
    timerColor?: string;
}
declare const Timer: ({ onTimeUp, displayZeroValues, showSeconds, timerColor, ...rest }: TimerProps) => JSX.Element;

interface TooltipProps {
    children: React__default.ReactNode;
    position: ComponentPosition;
    align?: 'start' | 'center' | 'end';
    content?: {
        text: string;
        color?: string;
    };
    backgroundColor?: string;
    maxWidth?: string;
    header?: {
        title: string;
        titleColor?: string;
        Icon?: IconType;
        iconFill?: string;
    };
    onClick?: () => void;
}
declare const Tooltip: ({ children, position, content, backgroundColor, align, maxWidth, onClick, header, }: TooltipProps) => JSX.Element;

declare type SubtotalOption = {
    label: string;
    value: string;
};
declare type Coupon = {
    code: string;
    amount: string;
};
interface SubtotalProps {
    subtotal: SubtotalOption;
    shipping: SubtotalOption;
    taxes: SubtotalOption;
    highlightColor?: string;
    coupon?: {
        couponText: string;
        appliedText: string;
        coupons: Coupon[];
    };
}

interface TotalProps {
    total: string;
    currency: string;
    highlightColor?: string;
    saving?: {
        amount: string;
        savingText: string;
    };
    showTotalLabel?: boolean;
}

declare const Totals: {
    Total: ({ total, currency, saving, highlightColor, showTotalLabel, }: TotalProps) => JSX.Element;
    Subtotal: ({ subtotal, shipping, taxes, coupon, highlightColor, }: SubtotalProps) => JSX.Element;
};

interface Checkpoint$1 {
    day: string;
    date: string;
    statusMessage: string;
}
interface TrackingProgressV2Props {
    checkPoints: Checkpoint$1[];
    amountOfCheckPoints: number;
    resumedStyle?: boolean;
    warning?: boolean;
    activeCheckpointColor?: string;
}
declare const TrackingProgressV2: ({ checkPoints, amountOfCheckPoints, resumedStyle, activeCheckpointColor, warning, }: TrackingProgressV2Props) => JSX.Element;

interface Checkpoint {
    day: string;
    date: string;
    statusMessage: string;
}
interface TrackingProgressProps {
    checkPoints: Checkpoint[];
    amountOfCheckPoints: number;
}
declare const TrackingProgress: ({ checkPoints, amountOfCheckPoints }: TrackingProgressProps) => JSX.Element;

declare type SpinnerProps = {
    fill: string;
    background: string;
    animationDuration?: number;
    complete?: boolean;
    completeIconStroke?: number;
    size?: string;
    borderSize?: ComponentSize;
};
declare const Spinner: React.FC<SpinnerProps>;

declare const useOnClickOutside: <T extends HTMLElement = HTMLElement>(ref: RefObject<T>, handler: (event: Event) => void) => void;

declare const useWindowDimensions: (breakpoints: ThemeBreakpoints) => {
    isMobile: boolean;
    windowDimensions: {
        width: number;
        height: number;
    };
};

declare global {
    interface Events {
        modal: {
            id: string;
            type: 'open' | 'close';
        };
    }
}

/**
 * @returns number formatted with "," and 2 decimals as string
 */
declare const decimalFormat: (number: number) => string;

declare const isEmpty: (value: string) => boolean;
declare const isEmail: (value: string) => boolean;
declare const isNumber: (value: string) => boolean;
declare const isPhoneNumber: (value: string) => boolean;
declare const isValidDate: (value: string) => boolean;

declare const simulateMouseClick: (element: HTMLElement) => void;

declare const sliceString: (str: string, maxLength: number) => string;

declare const formatPrice: (value: number, { locale, currency }?: {
    locale?: string | undefined;
    currency?: string | undefined;
}) => string;

declare const getSrcSet: (imgLink: string, ...breakpoints: number[]) => string;

declare const mediaQueries: facepaint.DynamicStyleFunction;

export { AbsorbencyLevel, Accordion, AccordionOptions, AmazonButton, AssetsProvider, Autoship, BeforeAfterCard, BeforeAfterVariant, Bundle, ButtonPrimary, ButtonSecondary, ButtonSecondaryOutline, ButtonType, BuyNowPayLater, CTAProps, _default as Card, CardSectionType, CartProductItem, CategorySquareTag, CategoryTag, Checkbox, ClubOfferTag, ClubRadioGroupInput, Collection, ColorPickerOption, ComponentPosition, ComponentSize, index_d as CrossSell, DeliveryDetails, DiscountTag, Drawer, DropdownDialog, DropdownListIcons, DropdownListIconsItem, DropdownListIconsSubItem, DropdownOption, Filter, FilterChange, FilteringDropdown, Tags as FilteringTags, Filters, FitGuarantee, FitPredictor, HurryUp, Icon, IconButton, IconProps, IconWithOpacityProps, IconsWithTitle, Image, ImageCardWithDescription, ImageType, Input, InputValidationType, Icon$1 as LibIcon, Props$2 as LibIconProps, Modal, MotivatorProgressBar, MultiColorPicker, Note, OfferBanner, OrderBar, Overlay, PackSelector, PackSelectorV2, Pagination, PaginatorBlog, Pattern, PaymentMethod, PaypalButton, Portal, PriceLabel, PriceLabelV2, ProductGallery, ProductGalleryMobile, ProductGalleryMobileV2, ProgressBar, QuantityPicker, RadioGroupInput, RadioGroupOption, RadioInput, RadioPrimary, Rating, Review, Review$1 as ReviewDetail, ReviewsHeader, ScrollToTop, SearchBar, SearchBarOptionItem, SearchNavigation, SeasonOfferTag, ShortBanner, SimpleDropdown, SimpleOrderItem, SingleColorPicker, SizeChartTable, SizeDropdown, SizeFitGuide, SizeOption, SizeSelector, SizeTable, SliderNavigation, Spacing, Spinner, SpinnerProps, StarList, StrengthBars, Tab, Tabs, Text, TextButton, TextWithImage, Theme, ThemeAssets, ThemeBasicPallete, ThemeBreakpoints, ThemeColorPallete, ThemeColors, ThemeComponent, ThemeFonts, ThemeProvider, ThemeTypography, ThemeVariables, Timer, Tooltip, Totals, TrackingProgress, TrackingProgressV2, WithTestId, componentSizeMapper, decimalFormat, formatPrice, getSrcSet, imageVideoProps, isEmail, isEmpty, isNumber, isPhoneNumber, isValidDate, mediaQueries, modalEvent, SeasonOfferRoundedTag as seasonOfferRoundedTag, simulateMouseClick, sliceString, useModal, useModalEvent, useOnClickOutside, useTheme, useThemeAssets, useWindowDimensions };
